Debian Bug report logs - #533450
ITP: xserver-xorg-video-psb -- Xorg Graphics driver for Intel Poulsbo chipset (GMA 500)

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: kushalkoolwal@gmail.com

Date: Wed, 17 Jun 2009 18:18:01 UTC

Owned by: kushalkoolwal@gmail.com

Severity: wishlist

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, kushalkoolwal@hotmail.com, debian-devel@lists.debian.org, <wnpp@debian.org>:
Bug#533450; Package wnpp. (Wed, 17 Jun 2009 18:18:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kushal Koolwal <kushalkoolwal@hotmail.com>:
New Bug report received and forwarded. Copy sent to kushalkoolwal@hotmail.com, debian-devel@lists.debian.org, <wnpp@debian.org>. (Wed, 17 Jun 2009 18:18:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Kushal Koolwal <kushalkoolwal@hotmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: xserver-xorg-video-psb -- Xorg Graphics driver for Intel Poulsbo chipset (GMA 500)
Date: Wed, 17 Jun 2009 11:20:17 -0700
Package: wnpp
Severity: wishlist
Owner: Kushal Koolwal <kushalkoolwal@hotmail.com>


* Package name    : xserver-xorg-video-psb
  Version         : 1.0
  Upstream Author : Intel Moblin
* URL             : http://www.intel.com/products/mid/
* License         : GPL
  Programming Lang: C/C++
  Description     : Xorg Graphics driver for Intel Poulsbo chipset (GMA 500)

http://lists.debian.org/debian-devel/2009/06/msg00515.html

-- System Information:
Debian Release: 5.0.1
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: amd64 (x86_64)




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Kushal Koolwal <kushalkoolwal@hotmail.com>:
Bug#533450; Package wnpp. (Wed, 17 Jun 2009 19:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Moerner <dmoerner@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Kushal Koolwal <kushalkoolwal@hotmail.com>. (Wed, 17 Jun 2009 19:12:03 GMT) Full text and rfc822 format available.

Message #10 received at 533450@bugs.debian.org (full text, mbox):

From: Daniel Moerner <dmoerner@gmail.com>
To: Kushal Koolwal <kushalkoolwal@hotmail.com>, 533450@bugs.debian.org
Cc: Debian Developers <debian-devel@lists.debian.org>
Subject: Re: Bug#533450: ITP: xserver-xorg-video-psb -- Xorg Graphics driver for Intel Poulsbo chipset (GMA 500)
Date: Wed, 17 Jun 2009 12:02:16 -0700
I originally just sent this to debian-devel since I didn't see the bug
report on it, here are my comments on the bug report for posterity.
I'll keep debian-devel on CC. I've attached the forwarded message at
the end.

On Wed, Jun 17, 2009 at 11:20 AM, Kushal
Koolwal<kushalkoolwal@hotmail.com> wrote:
> * Package name    : xserver-xorg-video-psb
>  Version         : 1.0

I only see version 0.2.1 on various websites, the upstream git repo on
moblin.org no longer exists.

>  Upstream Author : Intel Moblin
> * URL             : http://www.intel.com/products/mid/
> * License         : GPL

It looks like MIT to me.

>  Programming Lang: C/C++
>  Description     : Xorg Graphics driver for Intel Poulsbo chipset (GMA 500)
>
> http://lists.debian.org/debian-devel/2009/06/msg00515.html
>
> -- System Information:
> Debian Release: 5.0.1
>  APT prefers stable
>  APT policy: (500, 'stable')
> Architecture: amd64 (x86_64)
>
>
>
> --
> To UNSUBSCRIBE, email to debian-devel-REQUEST@lists.debian.org
> with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
>
>

Here was my original message that I sent out before I saw the bug report:

---------- Forwarded message ----------
From: Daniel Moerner <dmoerner@gmail.com>
Date: Wed, Jun 17, 2009 at 11:42 AM
Subject: Re: Intel Atom Poulsbo chipset Xorg driver in Debian
To: debian-devel@lists.debian.org


On Wed, Jun 17, 2009 at 10:49 AM, Jonathan
Wiltshire<debian@jwiltshire.org.uk> wrote:
> On Wed, Jun 17, 2009 at 10:42:55AM -0700, Kushal Koolwal wrote:
>>
>> It seems that the support for Intel's Poulsbo chipset (Graphics GMA 500) for Atom processor (US15) is sparse [1].
>> So far I have been able to find a driver package in Ubuntu Hardy [2].
>>
>> I was wondering if anyone has ideas as to if Debian will get the support for Poulsbo chipset.
>
> From a brief look at the package in Hardy, the license would be
> considered free, so I suggest you file a Request for Packaging [1] and
> hopefully somebody will take you up on it.

Is the driver in better shape than it was in January?

http://www.happyassassin.net/2009/01/30/intel-gma-500-poulsbo-graphics-on-linux-a-precise-and-comprehensive-summary-as-to-why-youre-screwed/

Ubuntu even requested to have it removed from their archive because it
was obsolete and broken:

https://launchpad.net/ubuntu/+source/xserver-xorg-video-psb/0.2.1-1ubuntu3

I'm not sure if this is something that would be wanted in the archive
unless support has improved (which is a legitimate possibility, given
that Dell purports to support this chipset in the Mini 12).

Cheers,
Daniel

-- 
Daniel Moerner <dmoerner@gmail.com>




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#533450; Package wnpp. (Wed, 17 Jun 2009 22:45:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kushal Koolwal <kushalkoolwal@hotmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Wed, 17 Jun 2009 22:45:02 GMT) Full text and rfc822 format available.

Message #15 received at 533450@bugs.debian.org (full text, mbox):

From: Kushal Koolwal <kushalkoolwal@hotmail.com>
To: <dmoerner@gmail.com>, <533450@bugs.debian.org>
Subject: RE: Bug#533450: ITP: xserver-xorg-video-psb -- Xorg Graphics driver for Intel Poulsbo chipset (GMA 500)
Date: Wed, 17 Jun 2009 15:41:38 -0700
Thanks Daniel! Sorry about the errors in the ITP (license, versions). I did an ITP for the first time and I wasn't quite sure how to find proper licenses and versions. Does it need to be corrected? If yes, then how?

I apologize for the trouble and errors.

Kushal Koolwal

I do blog at http://blogs.koolwal.net/

----------------------------------------
> Subject: Bug#533450: ITP: xserver-xorg-video-psb -- Xorg Graphics driver for Intel Poulsbo chipset (GMA 500)
> Date: Wed, 17 Jun 2009 12:02:16 -0700
> From: dmoerner@gmail.com
> To: kushalkoolwal@hotmail.com; 533450@bugs.debian.org
> CC: debian-devel@lists.debian.org
>
> I originally just sent this to debian-devel since I didn't see the bug
> report on it, here are my comments on the bug report for posterity.
> I'll keep debian-devel on CC. I've attached the forwarded message at
> the end.
>
> On Wed, Jun 17, 2009 at 11:20 AM, Kushal
> Koolwal wrote:
>> * Package name    : xserver-xorg-video-psb
>>  Version         : 1.0
>
> I only see version 0.2.1 on various websites, the upstream git repo on
> moblin.org no longer exists.
>
>>  Upstream Author : Intel Moblin
>> * URL             : http://www.intel.com/products/mid/
>> * License         : GPL
>
> It looks like MIT to me.
>
>>  Programming Lang: C/C++
>>  Description     : Xorg Graphics driver for Intel Poulsbo chipset (GMA 500)
>>
>> http://lists.debian.org/debian-devel/2009/06/msg00515.html
>>
>> -- System Information:
>> Debian Release: 5.0.1
>>  APT prefers stable
>>  APT policy: (500, 'stable')
>> Architecture: amd64 (x86_64)
>>
>>
>>
>> --
>> To UNSUBSCRIBE, email to debian-devel-REQUEST@lists.debian.org
>> with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
>>
>>
>
> Here was my original message that I sent out before I saw the bug report:
>
> ---------- Forwarded message ----------
> From: Daniel Moerner 
> Date: Wed, Jun 17, 2009 at 11:42 AM
> Subject: Re: Intel Atom Poulsbo chipset Xorg driver in Debian
> To: debian-devel@lists.debian.org
>
>
> On Wed, Jun 17, 2009 at 10:49 AM, Jonathan
> Wiltshire wrote:
>> On Wed, Jun 17, 2009 at 10:42:55AM -0700, Kushal Koolwal wrote:
>>>
>>> It seems that the support for Intel's Poulsbo chipset (Graphics GMA 500) for Atom processor (US15) is sparse [1].
>>> So far I have been able to find a driver package in Ubuntu Hardy [2].
>>>
>>> I was wondering if anyone has ideas as to if Debian will get the support for Poulsbo chipset.
>>
>> From a brief look at the package in Hardy, the license would be
>> considered free, so I suggest you file a Request for Packaging [1] and
>> hopefully somebody will take you up on it.
>
> Is the driver in better shape than it was in January?
>
> http://www.happyassassin.net/2009/01/30/intel-gma-500-poulsbo-graphics-on-linux-a-precise-and-comprehensive-summary-as-to-why-youre-screwed/
>
> Ubuntu even requested to have it removed from their archive because it
> was obsolete and broken:
>
> https://launchpad.net/ubuntu/+source/xserver-xorg-video-psb/0.2.1-1ubuntu3
>
> I'm not sure if this is something that would be wanted in the archive
> unless support has improved (which is a legitimate possibility, given
> that Dell purports to support this chipset in the Mini 12).
>
> Cheers,
> Daniel
>
> --
> Daniel Moerner 
>
>

_________________________________________________________________
Lauren found her dream laptop. Find the PC that’s right for you.
http://www.microsoft.com/windows/choosepc/?ocid=ftp_val_wl_290



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Kushal Koolwal <kushalkoolwal@hotmail.com>:
Bug#533450; Package wnpp. (Thu, 25 Jun 2009 06:24:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Scott Gilliland <zeroping@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Kushal Koolwal <kushalkoolwal@hotmail.com>. (Thu, 25 Jun 2009 06:24:03 GMT) Full text and rfc822 format available.

Message #20 received at 533450@bugs.debian.org (full text, mbox):

From: Scott Gilliland <zeroping@gmail.com>
To: 533450@bugs.debian.org
Subject: Re: Bug#533450: ITP: xserver-xorg-video-psb -- Xorg Graphics driver for Intel Poulsbo chipset (GMA 500)
Date: Thu, 25 Jun 2009 02:21:25 -0400
As a (temporary) workaround, you can use the xorg packages out of Ubuntu's 
Intrepid release. They can be found in the "ppa" archive. With a bit of work, 
I have proper panel resolution and HDMI out working (no 3D at the moment).

In order to do this, however, I need to have all of ubuntu's xorg installed on 
my otherwise-debian-stable system.

I tried building some of these packages from source (I actually had to for the 
kernel module), but couldn't get a rebuilt xserver-xorg-video-psb package to 
work with Debian stable's Xorg. I also got nothing but lockups with Ubuntu 
Jaunty packages.

I eventually gave up after hours of squinting at a widescreen 640x480 display, 
and thus I'm using ubuntu's Xorg.

Needless to say, I'd love for one of the Xorg folks (or anyone who knows more 
about what they're doing) to step in and figure out how to at least get this 
stuff properly packaged. 

Good luck!

-- 
Scott Gilliland




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#533450; Package wnpp. (Mon, 29 Jun 2009 19:39:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kushal Koolwal <kushalkoolwal@hotmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Mon, 29 Jun 2009 19:39:05 GMT) Full text and rfc822 format available.

Message #25 received at 533450@bugs.debian.org (full text, mbox):

From: Kushal Koolwal <kushalkoolwal@hotmail.com>
To: <zeroping@gmail.com>, <533450@bugs.debian.org>
Subject: RE: Bug#533450: ITP: xserver-xorg-video-psb -- Xorg Graphics driver for Intel Poulsbo chipset (GMA 500)
Date: Mon, 29 Jun 2009 12:33:32 -0700
Hi Scott,

Thank you for the valuable information. I tried searching for the ppa archive for Intrepid but was not able to find the driver package. Do you have a link from where you found that driver?

So if I understand you correctly, you installed a base Debian Lenny system. And then you added the intrepid packages repo to your sources.list file and installed XOrg from intrepid? For example:

# apt-get install xserver-xorg xorg

Thank you.

Kushal Koolwal

I do blog at http://blogs.koolwal.net/


_________________________________________________________________
Lauren found her dream laptop. Find the PC that’s right for you.
http://www.microsoft.com/windows/choosepc/?ocid=ftp_val_wl_290



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Kushal Koolwal <kushalkoolwal@hotmail.com>:
Bug#533450; Package wnpp. (Tue, 30 Jun 2009 16:15:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Scott Gilliland <zeroping@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Kushal Koolwal <kushalkoolwal@hotmail.com>. (Tue, 30 Jun 2009 16:15:02 GMT) Full text and rfc822 format available.

Message #30 received at 533450@bugs.debian.org (full text, mbox):

From: Scott Gilliland <zeroping@gmail.com>
To: Kushal Koolwal <kushalkoolwal@hotmail.com>
Cc: 533450@bugs.debian.org
Subject: Re: Bug#533450: ITP: xserver-xorg-video-psb -- Xorg Graphics driver for Intel Poulsbo chipset (GMA 500)
Date: Tue, 30 Jun 2009 12:12:40 -0400
Kushal,

I started with a Lenny install, and got it up-to-date.

I then added an /etc/apt/sources.list.d/intrepid.list which includes all of 
intrepid and intrepid's PPA repositories:

---
deb http://ppa.launchpad.net/ubuntu-mobile/ppa/ubuntu intrepid main multiverse 
universe restricted
deb http://archive.ubuntu.com/ubuntu/ intrepid main restricted universe 
multiverse
deb http://security.ubuntu.com/ubuntu/ intrepid-security main restricted 
universe multiverse
deb http://archive.ubuntu.com/ubuntu/ intrepid-updates main restricted 
universe multiverse

(plus the deb-src entries, which are not needed)
---

I then used apt-pinning (man apt_preferences for more info) by setting up 
my /etc/apt/preferences

---
Package: *
Pin: release o=Debian,a=stable
Pin-Priority: 900

Package: *
Pin: release o=Debian,a=testing
Pin-Priority: 400

Package: *
Pin: release a=intrepid
Pin-Priority: 400

Package: *
Pin: release o=Debian,a=unstable
Pin-Priority: 300

Package: *
Pin: release o=Debian
Pin-Priority: -1
---

This makes apt prefer debian stable when it can, but will allow debian 
testing, ubuntu intrepid, and debian unstable if needed.

Then I installed ubuntu's packages for the chipset:
libgl1-mesa-dri-psb
libdrm-poulsbo1
psb-firmware
psb-modules
xpsb-glx
xserver-xorg-video-psb

The big catch was that installing xserver-xorg-video-psb required installing 
all of xorg from the ubuntu repositories. Thus, I have a debian lenny system, 
ubuntu intrepid's  xorg (and some libs), and ubuntu intrepid PPA's 
xorg-video-psb

Most of the needed packages seem to be easy enough to get moves over to 
debian, but what we really seem to need is xserver-xorg-video-psb to be built 
against debian's xorg.

Also, I advise using a tool like aptitude to line up package changes; using 
apt straight may be a bit tedious.

Good luck, 
Scott Gilliland




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#533450; Package wnpp. (Tue, 30 Jun 2009 16:48:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kushal Koolwal <kushalkoolwal@hotmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Tue, 30 Jun 2009 16:48:02 GMT) Full text and rfc822 format available.

Message #35 received at 533450@bugs.debian.org (full text, mbox):

From: Kushal Koolwal <kushalkoolwal@hotmail.com>
To: <zeroping@gmail.com>
Cc: <533450@bugs.debian.org>
Subject: RE: Bug#533450: ITP: xserver-xorg-video-psb -- Xorg Graphics driver for Intel Poulsbo chipset (GMA 500)
Date: Tue, 30 Jun 2009 09:46:00 -0700
Awesome! Thank you for your time and detailed steps,

> Most of the needed packages seem to be easy enough to get moves over to
> debian, but what we really seem to need is xserver-xorg-video-psb to be built
> against debian's xorg.
Yes, it seems that if I try to install Xorg from Lenny it, it tries to remove the psb packages and vice versa. I don't know enough about Xorg system, but I am ready to spare some time to get the psb packages working in Debian. If there is some sort of similar example from the past on how to port packages from Ubuntu to Debian, I can give it a shot.

Kushal Koolwal

I do blog at http://blogs.koolwal.net/









_________________________________________________________________
Lauren found her dream laptop. Find the PC that’s right for you.
http://www.microsoft.com/windows/choosepc/?ocid=ftp_val_wl_290



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Kushal Koolwal <kushalkoolwal@hotmail.com>:
Bug#533450; Package wnpp. (Wed, 08 Jul 2009 09:27:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to asjo@koldfront.dk (Adam Sjøgren):
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Kushal Koolwal <kushalkoolwal@hotmail.com>. (Wed, 08 Jul 2009 09:27:08 GMT) Full text and rfc822 format available.

Message #40 received at 533450@bugs.debian.org (full text, mbox):

From: asjo@koldfront.dk (Adam Sjøgren)
To: 533450@bugs.debian.org
Subject: Any progress?
Date: Wed, 08 Jul 2009 11:08:51 +0200
  Hi.


I was wondering if you have had any progress with the psb-driver for
X.org?

I have got the PPA packages for Jaunty from the Ubuntu Mobile Team
building on my Debian unstable netbook.

Now I just need them to a) work (I get a kernel trace (but the kernel
still runs) and X doesn't work, the console changes resolution when I
modprobe psb, though), and b) integrate properly (right now I just
overwrite libdrm2, which isn't nice, I guess libdrm-poulsbo1 needs to do
something similar to libdrm-intel1?)

If anyone has the time to answer stupid questions and guide me, I'd be
most happy to try to do the "grunt work".


  Best regards,

    Adam, who happened to buy a netbook without checking the graphics card.

-- 
 "Oh, we all like motorcycles, to some degree."               Adam Sjøgren
                                                         asjo@koldfront.dk




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#533450; Package wnpp. (Fri, 10 Jul 2009 17:33:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kushal Koolwal <kushalkoolwal@hotmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Fri, 10 Jul 2009 17:33:05 GMT) Full text and rfc822 format available.

Message #45 received at 533450@bugs.debian.org (full text, mbox):

From: Kushal Koolwal <kushalkoolwal@hotmail.com>
To: <533450@bugs.debian.org>
Cc: <asjo@koldfront.dk>
Subject: Some success
Date: Fri, 10 Jul 2009 10:29:26 -0700
Hi Adam,

Last few days I have been trying to get the XOrg psb driver working on Lenny based on [1]. I had a partial success with it - I got the kernel drm stuff working (psb.ko and drm.ko) and I get a psb framebuffer console during the boot. However when my X server starts I get the following message:
xf86MapVidMem: Could not mmap framebuffer (0×00000000, 0xdfe80000) (Cannot allocate memory)

In case if you want to try the approach in [1], I can email you my steps.

I think I am pretty close to get it working but I would still like to try your approach. You mentioned that you were able to get the packages compiled from PPA Jaunty source on your Debian unstable without pulling the entire Xorg from Ubuntu? Do you mind giving summary of your steps as to how you did it? I tried to build the xserver-xorg-video-psb package but I get packages dependency error as some of the packages that are require are not in unstable:
***************************************************************************************************
checking for XORG... configure: error: Package requirements (xorg-server>= 1.0.99.901 xproto fontsproto xf86dgaproto  xineramaproto randrproto renderproto videoproto xf86miscproto xextproto) were not met:

No package 'xf86dgaproto' found
No package 'xineramaproto' found
No package 'xf86miscproto' found

Consider adjusting the PKG_CONFIG_PATH environment variable if you
installed software in a non-standard prefix.

Alternatively, you may set the environment variables XORG_CFLAGS
and XORG_LIBS to avoid the need to call pkg-config.
See the pkg-config man page for more details.
***************************************************************************************************

How did you get past this error? Did you end up downloading the missing packages from Ubuntu?

Your help will be greatly appreciated.

[1] http://www.happyassassin.net/2009/05/13/native-poulsbo-gma-500-graphics-driver-for-fedora-10/

Kushal Koolwal

I do blog at http://blogs.koolwal.net/







----------------------------------------
> From: kushalkoolwal@hotmail.com
> To: zeroping@gmail.com
> CC: 533450@bugs.debian.org
> Subject: RE: Bug#533450: ITP: xserver-xorg-video-psb -- Xorg Graphics driver for Intel Poulsbo chipset (GMA 500)
> Date: Tue, 30 Jun 2009 09:46:00 -0700
>
>
> Awesome! Thank you for your time and detailed steps,
>
>> Most of the needed packages seem to be easy enough to get moves over to
>> debian, but what we really seem to need is xserver-xorg-video-psb to be built
>> against debian's xorg.
> Yes, it seems that if I try to install Xorg from Lenny it, it tries to remove the psb packages and vice versa. I don't know enough about Xorg system, but I am ready to spare some time to get the psb packages working in Debian. If there is some sort of similar example from the past on how to port packages from Ubuntu to Debian, I can give it a shot.
>
> Kushal Koolwal
>
> I do blog at http://blogs.koolwal.net/
>
>
>
>
>
>
>
>
>
> _________________________________________________________________
> Lauren found her dream laptop. Find the PC that’s right for you.
> http://www.microsoft.com/windows/choosepc/?ocid=ftp_val_wl_290

_________________________________________________________________
Hotmail® has ever-growing storage! Don’t worry about storage limits. 
http://windowslive.com/Tutorial/Hotmail/Storage?ocid=TXT_TAGLM_WL_HM_Tutorial_Storage_062009



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Kushal Koolwal <kushalkoolwal@hotmail.com>:
Bug#533450; Package wnpp. (Fri, 10 Jul 2009 18:00:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to asjo@koldfront.dk (Adam Sjøgren):
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Kushal Koolwal <kushalkoolwal@hotmail.com>. (Fri, 10 Jul 2009 18:00:02 GMT) Full text and rfc822 format available.

Message #50 received at 533450@bugs.debian.org (full text, mbox):

From: asjo@koldfront.dk (Adam Sjøgren)
To: Kushal Koolwal <kushalkoolwal@hotmail.com>
Cc: <533450@bugs.debian.org>
Subject: Re: Some success
Date: Fri, 10 Jul 2009 19:56:47 +0200
On Fri, 10 Jul 2009 10:29:26 -0700, Kushal wrote:

> I think I am pretty close to get it working but I would still like to
> try your approach. You mentioned that you were able to get the
> packages compiled from PPA Jaunty source on your Debian unstable
> without pulling the entire Xorg from Ubuntu?

Yes.

> Do you mind giving summary of your steps as to how you did it?

Put the deb-src line from the Ubuntu Mobile Team PPA page into
/etc/apt/sources.list and then download the sources and build the
packages.

A number of adjustments need to be made for the packages to build on
Debian unstable, of course.

I have got X working now, but only by force-overwriting files in the
libdrm2 package and deleting a libdrm.so.2.4*-file by hand, adding a
symlink in /lib/ to the libdrm from the libdrm-poulsbo1 package.

You can see the changes I had to make in this git-repository:

 * http://koldfront.dk/gitweb?p=psb;a=summary

I simply started with the Ubuntu Mobile Team PPA packages for Jaunty and
modified them until I could build on Debian unstable.

Missing still is:

 * Making libdrm-poulsbo1 play nice with libdrm2 (probably need to do
   something similar to what the libdrm-intel1 package does?) 
   [libdrm-poulsbo].

 * Find out what the correct packages to depend on instead of
   linux-headers-generic and linux-generic are [psb-kernel-source].

 * Check that the euid to loginuid change is correct [psb-kernel-source].

 * Check how the I2C_HW_B_INTELFB define should be handled
   [psb-kernel-source].

The only problem I have currently with functionality is that the
Synaptics touchpad on my Acer Aspire One 751H doesn't work, so I have to
attach a mouse.


  Best regards,

-- 
 "Oh, we all like motorcycles, to some degree."               Adam Sjøgren
                                                         asjo@koldfront.dk




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#533450; Package wnpp. (Mon, 13 Jul 2009 19:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kushal Koolwal <kushalkoolwal@hotmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Mon, 13 Jul 2009 19:36:03 GMT) Full text and rfc822 format available.

Message #55 received at 533450@bugs.debian.org (full text, mbox):

From: Kushal Koolwal <kushalkoolwal@hotmail.com>
To: <533450@bugs.debian.org>
Cc: <asjo@koldfront.dk>
Subject: RE: Some success
Date: Mon, 13 Jul 2009 12:24:36 -0700
[Message part 1 (text/plain, inline)]
>I have got X working now, but only by force-overwriting files in the
>libdrm2 package and deleting a libdrm.so.2.4*-file by hand, adding a
>symlink in /lib/ to the libdrm from the libdrm-poulsbo1 package.

So I spend a good chunk of my weekend getting up Xorg driver running. I was able to compile the packages
and install them on my Debian unstable (2.6.30-1-686) system after following Adam's instructions (thanks).

Now upon rebooting, the psb framebuffer driver kicks in and then X server tries to start but fails
with the following error messages:
debian:~# cat /var/log/Xorg.0.log | grep "(EE)"
        (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(EE) PSB(0): the stolenBase is:0x1f800000
(EE) PSB(0): screnIndex is:0;fbPhys is:0x1f800000; fbsize is:0x007df000
(EE) PSB(0): Could not find a valid initial configuration for this screen.
(EE) Screen(s) found, but none have a usable configuration.
debian:~# 

I am attaching my entire xorg.conf and Xorg.0.log file.

Adam, do you mind posting your xorg.conf file?
Kushal Koolwal

I do blog at http://blogs.koolwal.net/


_________________________________________________________________
Bing™ finds low fares by predicting when to book. Try it now.
http://www.bing.com/travel/deals/airline-ticket-deals.do?form=MTRHPG&publ=WLHMTAG&crea=TXT_MTRHPG_Travel_Travel_TravelDeals_1x1
[Xorg.0.log (application/x-troff-man, attachment)]
[xorg.conf (application/octet-stream, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#533450; Package wnpp. (Mon, 13 Jul 2009 20:03:16 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kushal Koolwal <kushalkoolwal@hotmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Mon, 13 Jul 2009 20:03:16 GMT) Full text and rfc822 format available.

Message #60 received at 533450@bugs.debian.org (full text, mbox):

From: Kushal Koolwal <kushalkoolwal@hotmail.com>
To: <533450@bugs.debian.org>
Cc: <asjo@koldfront.dk>
Subject: Never Mind
Date: Mon, 13 Jul 2009 12:44:47 -0700
I found what was causing the error. Actually it was buried inside the log file.

All I had to do was to add the IgnoreACPI option in the Device section.

Also note that once I installed all the packages I gave the command:

X -configure
cp /root/xorg.conf.new /etc/X11/xorg.conf
and added the IgnoreACPI option in the xorg.conf file.

Now I have Xorg running on Debian unstable with 3D working.

Now only if I can figure out what additional changes needs to make it run on Debian stable.

Thank you Adam for providing all the important information.

Kushal Koolwal

I do blog at http://blogs.koolwal.net/


_________________________________________________________________
Windows Live™ Photos: it's easy to store and manage your photos online. See how.
http://windowslive.com/Online/Photos?ocid=TXT_TAGLM_WL_CS_PH_store_manage_072009



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Kushal Koolwal <kushalkoolwal@hotmail.com>:
Bug#533450; Package wnpp. (Mon, 13 Jul 2009 20:15:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to asjo@koldfront.dk (Adam Sjøgren):
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Kushal Koolwal <kushalkoolwal@hotmail.com>. (Mon, 13 Jul 2009 20:15:03 GMT) Full text and rfc822 format available.

Message #65 received at 533450@bugs.debian.org (full text, mbox):

From: asjo@koldfront.dk (Adam Sjøgren)
To: Kushal Koolwal <kushalkoolwal@hotmail.com>
Cc: <533450@bugs.debian.org>
Subject: Re: Some success
Date: Mon, 13 Jul 2009 21:48:11 +0200
On Mon, 13 Jul 2009 12:24:36 -0700, Kushal wrote:

> (EE) PSB(0): Could not find a valid initial configuration for this screen.
> (EE) Screen(s) found, but none have a usable configuration.

The problem is that X isn't finding the LCD-panel, I think. Putting

  Option  "IgnoreACPI"    "yes"

in my configuration helped. (I think I found that solution by searching
via Google.)

> Adam, do you mind posting your xorg.conf file?

Sure:

  Section "Device"
          Identifier      "Builtin Default psb Device 0"
          Driver  "psb"
          Option  "IgnoreACPI"    "yes"
  EndSection
  Section "Screen"
          Identifier      "Builtin Default psb Screen 0"
          Device  "Builtin Default psb Device 0"
  EndSection
  Section "ServerLayout"
          Identifier      "Builtin Default Layout"
          Screen  "Builtin Default psb Screen 0"
  EndSection


It would be really cool if someone with X-packaging experience would
comment on the libdrm2 vs. libdrm-poulsbo1 problem.


   Best regards,

     Adam

-- 
 "Perl 5 is a velociraptor, but we need an                    Adam Sjøgren
  acceloraptor now."                                     asjo@koldfront.dk




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#533450; Package wnpp. (Wed, 15 Jul 2009 01:39:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kushal Koolwal <kushalkoolwal@hotmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Wed, 15 Jul 2009 01:39:02 GMT) Full text and rfc822 format available.

Message #70 received at 533450@bugs.debian.org (full text, mbox):

From: Kushal Koolwal <kushalkoolwal@hotmail.com>
To: <533450@bugs.debian.org>
Subject: Success on Lenny but 3D not working
Date: Tue, 14 Jul 2009 18:37:25 -0700
So I was able to get the Poulsbo 3D driver working on Debian Lenny (using 2.6.30 kernel), however 3D is not working because the xserver package in Lenny (and in Testing) does not have libdri2.so module and hence the *Load dri2* statement in the xorg.conf file fails. Not sure what is this new dri2 stuff.

Also I am summarizing some of the hacks/overwrites that I had to do in order to get it working on Lenny. Most of them are same as from Adam's email in which he nicely points them out. Here they are anyways for Lenny:
1. Had to force-overwrite the libdrm.so.2 file while installing libdrm-poulsbo1 package
2. Had to force-overwrite the libexa.so file while installing xserver-xorg-video-psb package
3. Symlink /usr/lib/libdrm.so.2.3.0 to /lib/
4. Comment the *Load "dri2"* line in the xorg.conf file in case if it is there.
5. You need to install the dkms package from testing in order to compile the psb-kernel-source package.

Once the above steps are done, I can start my X server without any problems. I am not a Xorg expert or a DD by any chance, so I am not sure how to avoid the above steps. It would be nice if somebody can cleanly create these packages (without doing the hacks) and put them on Debian testing/sid.

Thanks.

Kushal Koolwal

I do blog at http://blogs.koolwal.net/




_________________________________________________________________
Hotmail® has ever-growing storage! Don’t worry about storage limits. 
http://windowslive.com/Tutorial/Hotmail/Storage?ocid=TXT_TAGLM_WL_HM_Tutorial_Storage_062009



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#533450; Package wnpp. (Fri, 17 Jul 2009 20:09:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kushal Koolwal <kushalkoolwal@hotmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Fri, 17 Jul 2009 20:09:03 GMT) Full text and rfc822 format available.

Message #75 received at 533450@bugs.debian.org (full text, mbox):

From: Kushal Koolwal <kushalkoolwal@hotmail.com>
To: <533450@bugs.debian.org>
Subject: RE: Success on Lenny but 3D not working
Date: Fri, 17 Jul 2009 13:01:45 -0700
> So I was able to get the Poulsbo 3D driver working on Debian Lenny (using 2.6.30 kernel),
That's a typo. Sorry about that. I meant I got Poulsbo 2D driver working on Lenny but not the 3D driver because of lack of dri2 module. Not sure what is this new dri2 stuff. If anybody knows how to generate dri2 modules in Lenny please let us know. So far I have been able to generate dri2 module only in Sid.

Kushal Koolwal

I do blog at http://blogs.koolwal.net/

_________________________________________________________________
Insert movie times and more without leaving Hotmail®. 
http://windowslive.com/Tutorial/Hotmail/QuickAdd?ocid=TXT_TAGLM_WL_HM_Tutorial_QuickAdd_062009



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Kushal Koolwal <kushalkoolwal@hotmail.com>:
Bug#533450; Package wnpp. (Thu, 13 Aug 2009 17:09:22 GMT) Full text and rfc822 format available.

Acknowledgement sent to Chris Dos <chris@chrisdos.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Kushal Koolwal <kushalkoolwal@hotmail.com>. (Thu, 13 Aug 2009 17:09:22 GMT) Full text and rfc822 format available.

Message #80 received at 533450@bugs.debian.org (full text, mbox):

From: Chris Dos <chris@chrisdos.com>
To: 533450@bugs.debian.org
Subject: Detailed instructions for Unstable
Date: Thu, 13 Aug 2009 11:04:51 -0600
If someone has time, can someone make detailed instructions on how to get this working on Unstable?




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Kushal Koolwal <kushalkoolwal@hotmail.com>:
Bug#533450; Package wnpp. (Thu, 10 Sep 2009 12:45:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Pedro Bulach Gapski <pbgapski@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Kushal Koolwal <kushalkoolwal@hotmail.com>. (Thu, 10 Sep 2009 12:45:11 GMT) Full text and rfc822 format available.

Message #85 received at 533450@bugs.debian.org (full text, mbox):

From: Pedro Bulach Gapski <pbgapski@gmail.com>
To: debian-laptop@lists.debian.org, 533450@bugs.debian.org
Subject: Re: debian squeeze on acer aspire one 751h
Date: Thu, 10 Sep 2009 09:39:10 -0300
I am following the advice on this bug [2] report to setup the GMA 500
with the ppa ubuntu drivers on squeeze.

See [1] for some comments, vesa driver setup, and further references.
In my setup, I had X running at 1366x768 with the vesa driver, using a
patched grub-pc to support the GMA500.

I have taken the following steps:

1. download git head from the reference in
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=533450#50 and unpack

2. for each of the packages, go to the directory, run
dpkg-buildsource, check the required references, install them and run
dpkg-buildpackage again, and install the resulting deb package (if you
install the source package, then use apt-get build-dep on each package
to install its references). Some of the packages require a
--force-overwrite option, as detailed in
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=533450#70

3. after all the packages are build, edit /etc/X11/xorg.conf as
outlined in http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=533450#65

Then I have in /usr/lib/:
-rw-r--r-- 1 root root 33020 Sep  9 09:50 /usr/lib/libdrm.a
lrwxrwxrwx 1 root root    15 Sep  9 10:33 /usr/lib/libdrm.so -> libdrm.so.2.3.0
lrwxrwxrwx 1 root root    15 Sep  9 20:23 /usr/lib/libdrm.so.2 ->
libdrm.so.2.4.0
-rw-r--r-- 1 root root 31992 Sep  9 09:50 /usr/lib/libdrm.so.2.3.0
-rw-r--r-- 1 root root 34580 Jul 21 10:32 /usr/lib/libdrm.so.2.4.0

Then I changed my xorg.conf from Driver "vesa" to Driver "psb" and
reloaded X. It fails with the following errors:
(EE) PSB(0): screnIndex is:0;fbPhys is:0x7f800000; fbsize is:0x007bf000
(EE) PSB(0): First SDVO output reported failure to sync or input is
not trainded!!!

Anyone seen this error, or maybe pointers/ideas to fix it?

I am running kernel 2.6.30.

On the bright side, the psb kernel module publishes the backlight
files under /sys/class, and that allows me to adjust LCD brightness.
It also gives a nice (and slow) 1366x768 console.

Pedro

[1] http://www.mail-archive.com/debian-laptop@lists.debian.org/msg51520.html
[2] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=533450




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Kushal Koolwal <kushalkoolwal@hotmail.com>:
Bug#533450; Package wnpp. (Thu, 24 Sep 2009 20:33:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to "David A. Greene" <greened@obbligato.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Kushal Koolwal <kushalkoolwal@hotmail.com>. (Thu, 24 Sep 2009 20:33:13 GMT) Full text and rfc822 format available.

Message #90 received at 533450@bugs.debian.org (full text, mbox):

From: "David A. Greene" <greened@obbligato.org>
To: 533450@bugs.debian.org
Subject: Re: debian squeeze on acer aspire one 751h
Date: Thu, 24 Sep 2009 14:58:07 -0500
I believe libdrm--poulsbo-2.3.0 from Ubuntu should be merged with
libdrm-2.4.13 in Squeeze.  If I understand correctly this should eliminate
the libdrm2 overwrite problem.  I am going to take a look at this ASAP.




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#533450; Package wnpp. (Sat, 07 Nov 2009 06:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kushal Koolwal <kushalkoolwal@hotmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Sat, 07 Nov 2009 06:42:03 GMT) Full text and rfc822 format available.

Message #95 received at 533450@bugs.debian.org (full text, mbox):

From: Kushal Koolwal <kushalkoolwal@hotmail.com>
To: <533450@bugs.debian.org>
Subject: Step-by-step guide for Poulsbo module compilation
Date: Fri, 6 Nov 2009 22:30:36 -0800
I know it is not pretty but it is there....Something is better than nothing??? Here is a step-by-step guide:

http://blogs.koolwal.net/2009/11/05/howto-compiling-intel-atom-poulsbo-gma-500-graphics-driver-on-debian/

Kushal Koolwal

I do blog at http://blogs.koolwal.net/



 		 	   		  
_________________________________________________________________
Bing brings you maps, menus, and reviews organized in one place.
http://www.bing.com/search?q=restaurants&form=MFESRP&publ=WLHMTAG&crea=TEXT_MFESRP_Local_MapsMenu_Resturants_1x1



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Kushal Koolwal <kushalkoolwal@hotmail.com>:
Bug#533450; Package wnpp. (Tue, 17 Nov 2009 12:48:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to 533450@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Kushal Koolwal <kushalkoolwal@hotmail.com>. (Tue, 17 Nov 2009 12:48:06 GMT) Full text and rfc822 format available.

Message #100 received at 533450@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@layer-acht.org>
To: 533450@bugs.debian.org, debian-x@lists.debian.org, Kushal Koolwal <kushalkoolwal@hotmail.com>, Adam Sjøgren <asjo@koldfront.dk>, debian-x@lists.debian.org, 533450-subscribe@bugs.debian.org
Subject: maintaining poulsbo in Debian
Date: Tue, 17 Nov 2009 13:38:44 +0100
[Message part 1 (text/plain, inline)]
Hi,

I also fell for the assumption that any intel graphic cards will come with a 
free chipset+driver and bought a gma500 card and thus I'm stuck with having 
to deal with xserver-xorg-video-psb now. And thus I want to help maintaining 
it in Debian... 

I've tried to get http://koldfront.dk/gitweb?p=psb;a=tree working on squeeze 
yesterday for the first time, but no real success so far... but I think that 
a reasoanable starting point.

I'd like to work together with Adam and Kushal and, if possible, within the 
ressources of the Debian X team, that is, by using their git repo at 
git://git.debian.org/git/pkg-xorg/ - thats my rough+basic idea. I'm a DD, so 
I can actually upload the packages. 

Comments very much welcome.


cheers,
	Holger
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Kushal Koolwal <kushalkoolwal@hotmail.com>:
Bug#533450; Package wnpp. (Tue, 17 Nov 2009 13:57:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to asjo@koldfront.dk (Adam Sjøgren):
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Kushal Koolwal <kushalkoolwal@hotmail.com>. (Tue, 17 Nov 2009 13:57:03 GMT) Full text and rfc822 format available.

Message #105 received at 533450@bugs.debian.org (full text, mbox):

From: asjo@koldfront.dk (Adam Sjøgren)
To: Holger Levsen <holger@layer-acht.org>
Cc: 533450@bugs.debian.org, debian-x@lists.debian.org, Kushal Koolwal <kushalkoolwal@hotmail.com>
Subject: Re: maintaining poulsbo in Debian
Date: Tue, 17 Nov 2009 14:45:15 +0100
  Hi,


On Tue, 17 Nov 2009 13:38:44 +0100, Holger wrote:

> I also fell for the assumption that any intel graphic cards will come with a 
> free chipset+driver and bought a gma500 card and thus I'm stuck with having 
> to deal with xserver-xorg-video-psb now.

I'm sorry...

> And thus I want to help maintaining it in Debian...

... but that is great!

> I've tried to get http://koldfront.dk/gitweb?p=psb;a=tree working on squeeze 
> yesterday for the first time, but no real success so far... but I think that 
> a reasoanable starting point.

I've only tried on sid - but I haven't bothered trying to upgrade from
the 2.6.30 kernel yet.

What problem did you hit?

> I'd like to work together with Adam and Kushal and, if possible, within the 
> ressources of the Debian X team, that is, by using their git repo at 
> git://git.debian.org/git/pkg-xorg/ - thats my rough+basic idea. I'm a DD, so 
> I can actually upload the packages. 

That would be great.

All I did in my repo was to hack the Ubuntu jaunty PPA-packages enough
for it to work for me, then I lost momentum.

The ugliest part (apart from the binary blobbiness), as far as I
remember, is the libdrm2 vs. libdrm-poulsbo1 thing, where both packages
provide the same files - which I haven't figured out how to fix
correctly (I simply used force-overwrite and did some symlinks by hand.)


  Best regards,

    Adam

-- 
 "All right, what's wrong with you? ...Like I care."          Adam Sjøgren
 "My foot hurts, doctor." "Your foot hurts?! What        asjo@koldfront.dk
  kind of stupid problem is that?!"




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#533450; Package wnpp. (Tue, 17 Nov 2009 19:03:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kushal Koolwal <kushalkoolwal@hotmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Tue, 17 Nov 2009 19:03:02 GMT) Full text and rfc822 format available.

Message #110 received at 533450@bugs.debian.org (full text, mbox):

From: Kushal Koolwal <kushalkoolwal@hotmail.com>
To: <533450@bugs.debian.org>, <debian-x@lists.debian.org>, <asjo@koldfront.dk>, <533450-subscribe@bugs.debian.org>, <holger@layer-acht.org>
Subject: RE: Bug#533450: maintaining poulsbo in Debian
Date: Tue, 17 Nov 2009 11:01:04 -0800
Hi Holger,

First of all many many thanks for taking the initiative on the PSB front. We all know that so far getting psb to work is a pain.

>but no real success so far..
As Adam asked, what problem are you facing? Are you able to build the psb and drm component?

Couple of weeks back I wrote a step-by-step guide [1] to get psb working on Debian Squeeze. Please give a shot to these pre-built squeeze packages [2] and see if they work for you or not. I have been able to build the driver against Lenny, Squeeze and Testing. 3D did not work in Lenny because of lack of dri2 (I think) in the Lenny's XOrg version.

Basically I took changes from Adam repo and added couple of more changes to get it working. For example, I had to remove the dpatch lines from debian/rules and added the relevant changes to file drm_sysfs.c directly. Also make sure that "Option Ignore ACPI 1" line is un-commented in xorg.conf.

Of course there are some ugly hacks as overwriting libdrm files and some odd symlinking to get them working as Adam mentioned. All these details are captured in [1].

I would be more than happy to extend any help that you may need in creating these packages for Debian.

Thanks.


[1] http://blogs.koolwal.net/2009/11/05/howto-compiling-intel-atom-poulsbo-gma-500-graphics-driver-on-debian/

[2] http://blogs.koolwal.net/wp-content/uploads/debian/packages/psb/xorg/

Kushal Koolwal

I do blog at http://blogs.koolwal.net/
 		 	   		  
_________________________________________________________________
Windows 7: It works the way you want. Learn more.
http://www.microsoft.com/Windows/windows-7/default.aspx?ocid=PID24727::T:WLMTAGL:ON:WL:en-US:WWL_WIN_evergreen:112009v2



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Kushal Koolwal <kushalkoolwal@hotmail.com>:
Bug#533450; Package wnpp. (Tue, 17 Nov 2009 20:48:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Holger Levsen <holger@layer-acht.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Kushal Koolwal <kushalkoolwal@hotmail.com>. (Tue, 17 Nov 2009 20:48:09 GMT) Full text and rfc822 format available.

Message #115 received at 533450@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@layer-acht.org>
To: Adam Sjøgren <asjo@koldfront.dk>
Cc: 533450@bugs.debian.org, debian-x@lists.debian.org, Kushal Koolwal <kushalkoolwal@hotmail.com>
Subject: Re: maintaining poulsbo in Debian
Date: Tue, 17 Nov 2009 21:44:23 +0100
[Message part 1 (text/plain, inline)]
Hi Adam, hi Kushal,

On Dienstag, 17. November 2009, Adam Sjøgren wrote:
> I've only tried on sid - but I haven't bothered trying to upgrade from
> the 2.6.30 kernel yet.

Even through I'm trying to run squeeze, I'm happy and able to give anything from unstable or 
experimental (or other sources) a try. Probably I will also just switch to unstable on this 
machine, until we've made it work...

> What problem did you hit?

[ 1685.642108] [drm] Module unloaded
[ 1692.468985] [drm] Initialized drm 1.1.0 20060810
[ 1692.524152] psb 0000:00:02.0: PCI INT A -> GSI 16 (level, low) -> IRQ 16
[ 1692.524181] psb 0000:00:02.0: setting latency timer to 64
[ 1692.524311] [drm] psb - 5.0.1.0046
[ 1692.548102] [drm:psb_do_init] *ERROR* Debug is 0x00000000
[ 1692.590187] psb 0000:00:02.0: firmware: requesting msvdx_fw.bin
[ 1692.630565] [drm:psb_do_init] *ERROR* Gatt must be 256M aligned. This is a bug.
[ 1692.630734] set the msvdx clock to 0 in the psb_msvdx_uninit
[ 1692.661250] DRM: fill_in_dev failed
[ 1692.661387] psb 0000:00:02.0: PCI INT A disabled
[ 1692.661412] DRM: drm_get_dev failed.
[ 1692.661563] psb: probe of 0000:00:02.0 failed with error -22

This is my device:

00:02.0 VGA compatible controller [0300]: Intel Corporation System Controller Hub (SCH 
Poulsbo) Graphics Controller [8086:8108] (rev 07)

> The ugliest part (apart from the binary blobbiness), as far as I
> remember, is the libdrm2 vs. libdrm-poulsbo1 thing, where both packages
> provide the same files - which I haven't figured out how to fix
> correctly (I simply used force-overwrite and did some symlinks by hand.)

Packagingtools-technically you could put a "Conflicts: libdrm2" into libdrm-poulsbo1's 
debian/control file, but I'm not sure this is the right solution here...

psb-kernel-source-4.41.1 only builds a root, as it writes to /usr/src atm... that's also 
quite ugly :-)

On Dienstag, 17. November 2009, Kushal Koolwal wrote:
> As Adam asked, what problem are you facing? Are you able to build the psb
> and drm component?
>
> Couple of weeks back I wrote a step-by-step guide [1] to get psb working on
> Debian Squeeze. 

I followed your guide (thanks!), I think I've missed 
http://blogs.koolwal.net/wp-content/uploads/debian/psb-kernel-source-modified-files.tar 
though :) 

> Please give a shot to these pre-built squeeze packages [2] 
> and see if they work for you or not. 

Those packages also dont work for me on squeeze... they fail exactly the same. 

Xorg.0.log ends with:

drmOpenDevice: node name is /dev/dri/card0
drmOpenDevice: node name is /dev/dri/card0
drmOpenByBusid: Searching for BusID PCI:0:2:0
drmOpenDevice: node name is /dev/dri/card0
drmOpenByBusid: drmOpenMinor returns -1
drmOpenDevice: node name is /dev/dri/card1
drmOpenByBusid: drmOpenMinor returns -1
drmOpenDevice: node name is /dev/dri/card2
drmOpenByBusid: drmOpenMinor returns -1
drmOpenDevice: node name is /dev/dri/card3
drmOpenByBusid: drmOpenMinor returns -1
drmOpenDevice: node name is /dev/dri/card4
drmOpenByBusid: drmOpenMinor returns -1
drmOpenDevice: node name is /dev/dri/card5
drmOpenByBusid: drmOpenMinor returns -1
drmOpenDevice: node name is /dev/dri/card6
drmOpenByBusid: drmOpenMinor returns -1
drmOpenDevice: node name is /dev/dri/card7
drmOpenByBusid: drmOpenMinor returns -1
drmOpenDevice: node name is /dev/dri/card8
drmOpenByBusid: drmOpenMinor returns -1
drmOpenDevice: node name is /dev/dri/card9
drmOpenByBusid: drmOpenMinor returns -1
drmOpenDevice: node name is /dev/dri/card10
drmOpenByBusid: drmOpenMinor returns -1
drmOpenDevice: node name is /dev/dri/card11
drmOpenByBusid: drmOpenMinor returns -1
drmOpenDevice: node name is /dev/dri/card12
drmOpenByBusid: drmOpenMinor returns -1
drmOpenDevice: node name is /dev/dri/card13
drmOpenByBusid: drmOpenMinor returns -1
drmOpenDevice: node name is /dev/dri/card14
drmOpenByBusid: drmOpenMinor returns -1
drmOpenDevice: node name is /dev/dri/card0
drmOpenDevice: node name is /dev/dri/card0
drmOpenDevice: node name is /dev/dri/card1
drmOpenDevice: node name is /dev/dri/card2
drmOpenDevice: node name is /dev/dri/card3
drmOpenDevice: node name is /dev/dri/card4
drmOpenDevice: node name is /dev/dri/card5
drmOpenDevice: node name is /dev/dri/card6
drmOpenDevice: node name is /dev/dri/card7
drmOpenDevice: node name is /dev/dri/card8
drmOpenDevice: node name is /dev/dri/card9
drmOpenDevice: node name is /dev/dri/card10
drmOpenDevice: node name is /dev/dri/card11
drmOpenDevice: node name is /dev/dri/card12
drmOpenDevice: node name is /dev/dri/card13
drmOpenDevice: node name is /dev/dri/card14
(EE) [drm] drmOpen failed.
(EE) PSB(0): [dri] DRIScreenInit failed. Disabling DRI.
(EE) [drm] Could not uninstall irq handler.
(EE) PSB(0): This driver currently needs DRM to operate.

Any ideas?


regards,
	Holger
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Kushal Koolwal <kushalkoolwal@hotmail.com>:
Bug#533450; Package wnpp. (Tue, 17 Nov 2009 21:20:50 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Kushal Koolwal <kushalkoolwal@hotmail.com>. (Tue, 17 Nov 2009 21:20:50 GMT) Full text and rfc822 format available.

Message #120 received at 533450@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Holger Levsen <holger@layer-acht.org>
Cc: Adam Sjøgren <asjo@koldfront.dk>, 533450@bugs.debian.org, debian-x@lists.debian.org, Kushal Koolwal <kushalkoolwal@hotmail.com>
Subject: Re: maintaining poulsbo in Debian
Date: Tue, 17 Nov 2009 22:15:12 +0100
On Tue, Nov 17, 2009 at 21:44:23 +0100, Holger Levsen wrote:

> Packagingtools-technically you could put a "Conflicts: libdrm2" into libdrm-poulsbo1's 
> debian/control file, but I'm not sure this is the right solution here...

It's not an acceptable solution.  Why do you need this?  If psb needs
its own libdrm it can call it libdrm_poulsbo.so or whatever, it doesn't
have to steal the name of the standard one.

[...]
> Xorg.0.log ends with:
> 
> drmOpenDevice: node name is /dev/dri/card0
> drmOpenDevice: node name is /dev/dri/card0
> drmOpenByBusid: Searching for BusID PCI:0:2:0
> drmOpenDevice: node name is /dev/dri/card0
> drmOpenByBusid: drmOpenMinor returns -1
> drmOpenDevice: node name is /dev/dri/card1
> drmOpenByBusid: drmOpenMinor returns -1
> drmOpenDevice: node name is /dev/dri/card2
> drmOpenByBusid: drmOpenMinor returns -1
> drmOpenDevice: node name is /dev/dri/card3
> drmOpenByBusid: drmOpenMinor returns -1
> drmOpenDevice: node name is /dev/dri/card4
> drmOpenByBusid: drmOpenMinor returns -1
> drmOpenDevice: node name is /dev/dri/card5
> drmOpenByBusid: drmOpenMinor returns -1
> drmOpenDevice: node name is /dev/dri/card6
> drmOpenByBusid: drmOpenMinor returns -1
> drmOpenDevice: node name is /dev/dri/card7
> drmOpenByBusid: drmOpenMinor returns -1
> drmOpenDevice: node name is /dev/dri/card8
> drmOpenByBusid: drmOpenMinor returns -1
> drmOpenDevice: node name is /dev/dri/card9
> drmOpenByBusid: drmOpenMinor returns -1
> drmOpenDevice: node name is /dev/dri/card10
> drmOpenByBusid: drmOpenMinor returns -1
> drmOpenDevice: node name is /dev/dri/card11
> drmOpenByBusid: drmOpenMinor returns -1
> drmOpenDevice: node name is /dev/dri/card12
> drmOpenByBusid: drmOpenMinor returns -1
> drmOpenDevice: node name is /dev/dri/card13
> drmOpenByBusid: drmOpenMinor returns -1
> drmOpenDevice: node name is /dev/dri/card14
> drmOpenByBusid: drmOpenMinor returns -1
> drmOpenDevice: node name is /dev/dri/card0
> drmOpenDevice: node name is /dev/dri/card0
> drmOpenDevice: node name is /dev/dri/card1
> drmOpenDevice: node name is /dev/dri/card2
> drmOpenDevice: node name is /dev/dri/card3
> drmOpenDevice: node name is /dev/dri/card4
> drmOpenDevice: node name is /dev/dri/card5
> drmOpenDevice: node name is /dev/dri/card6
> drmOpenDevice: node name is /dev/dri/card7
> drmOpenDevice: node name is /dev/dri/card8
> drmOpenDevice: node name is /dev/dri/card9
> drmOpenDevice: node name is /dev/dri/card10
> drmOpenDevice: node name is /dev/dri/card11
> drmOpenDevice: node name is /dev/dri/card12
> drmOpenDevice: node name is /dev/dri/card13
> drmOpenDevice: node name is /dev/dri/card14
> (EE) [drm] drmOpen failed.
> (EE) PSB(0): [dri] DRIScreenInit failed. Disabling DRI.
> (EE) [drm] Could not uninstall irq handler.
> (EE) PSB(0): This driver currently needs DRM to operate.
> 
Start by getting the kernel part working.  You won't get X up before
then.

Cheers,
Julien




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#533450; Package wnpp. (Wed, 18 Nov 2009 08:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kushal Koolwal <kushalkoolwal@hotmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Wed, 18 Nov 2009 08:42:03 GMT) Full text and rfc822 format available.

Message #125 received at 533450@bugs.debian.org (full text, mbox):

From: Kushal Koolwal <kushalkoolwal@hotmail.com>
To: <holger@layer-acht.org>
Cc: <asjo@koldfront.dk>, <533450@bugs.debian.org>, <debian-x@lists.debian.org>
Subject: RE: Bug#533450: maintaining poulsbo in Debian
Date: Wed, 18 Nov 2009 00:37:29 -0800
Holger,

What kernel version are you using on Squeeze? The packages that I pointed you should work on 2.6.30 kernel on Squeeze.

As Julien suggested first get the kernel component working. Try the following to get the kernel component working:
# apt-get install linux-image-2.6-686 ; Just to make sure if you have the default kernel installed.

and then install the following package:

http://blogs.koolwal.net/wp-content/uploads/debian/packages/psb/xorg/psb-modules_4.41.1-1squeeze1_i386.deb

# dpkg -i psb-modules_4.41.1-1squeeze1_i386.deb

This will install modules in the default kernel:
debian-tablet:/home/kushalk# ls /lib/modules/2.6.30-2-686/updates/char/drm/
drm.ko  psb.ko

and then do the following:
# cd /lib/modules/2.6.30-2-686/updates/char/drm

# cp psb.ko drm.ko ../../../kernel/drivers/gpu/

# rm -rf ../../../kernel/driver/gpu/drm/

# depmod -ae

and then reboot and check your dmesg.

The above worked for me on a 2.6.30-2-686 kernel.

Kushal Koolwal

I do blog at http://blogs.koolwal.net/








 		 	   		  
_________________________________________________________________
Bing brings you maps, menus, and reviews organized in one place.
http://www.bing.com/search?q=restaurants&form=MFESRP&publ=WLHMTAG&crea=TEXT_MFESRP_Local_MapsMenu_Resturants_1x1



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Kushal Koolwal <kushalkoolwal@hotmail.com>:
Bug#533450; Package wnpp. (Wed, 18 Nov 2009 10:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Holger Levsen <holger@layer-acht.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Kushal Koolwal <kushalkoolwal@hotmail.com>. (Wed, 18 Nov 2009 10:12:03 GMT) Full text and rfc822 format available.

Message #130 received at 533450@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@layer-acht.org>
To: Kushal Koolwal <kushalkoolwal@hotmail.com>, debian-x@lists.debian.org
Cc: asjo@koldfront.dk, 533450@bugs.debian.org
Subject: Re: Bug#533450: maintaining poulsbo in Debian
Date: Wed, 18 Nov 2009 11:08:29 +0100
[Message part 1 (text/plain, inline)]
Hi,

On Mittwoch, 18. November 2009, Kushal Koolwal wrote:
> What kernel version are you using on Squeeze? The packages that I pointed
> you should work on 2.6.30 kernel on Squeeze.

2.6.30-2

> As Julien suggested first get the kernel component working. 

yup

> # cd /lib/modules/2.6.30-2-686/updates/char/drm
> # cp psb.ko drm.ko ../../../kernel/drivers/gpu/
> # rm -rf ../../../kernel/driver/gpu/drm/
> # depmod -ae
> and then reboot and check your dmesg.

Same. But as said in my previous mail, I've ommitted some patching you did.. 
will try that later, but not sure if I find the time today...


cheers,
	Holger
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#533450; Package wnpp. (Thu, 19 Nov 2009 21:45:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kushal Koolwal <kushalkoolwal@hotmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Thu, 19 Nov 2009 21:45:10 GMT) Full text and rfc822 format available.

Message #135 received at 533450@bugs.debian.org (full text, mbox):

From: Kushal Koolwal <kushalkoolwal@hotmail.com>
To: <holger@layer-acht.org>, <debian-x@lists.debian.org>
Cc: <asjo@koldfront.dk>, <533450@bugs.debian.org>
Subject: RE: Bug#533450: maintaining poulsbo in Debian
Date: Thu, 19 Nov 2009 13:42:38 -0800
> Same. But as said in my previous mail, I've ommitted some patching you did..
> will try that later, but not sure if I find the time today...
If you are just installing from the pre-compiled packages you don't need modifications. Those packages should have everything that you need to get GMA working (I think).

I would be interested to know about your results.

Kushal Koolwal

I do blog at http://blogs.koolwal.net/








 		 	   		  
_________________________________________________________________
Hotmail: Trusted email with Microsoft's powerful SPAM protection.
http://clk.atdmt.com/GBL/go/177141664/direct/01/
http://clk.atdmt.com/GBL/go/177141664/direct/01/




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Kushal Koolwal <kushalkoolwal@hotmail.com>:
Bug#533450; Package wnpp. (Fri, 20 Nov 2009 18:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Holger Levsen <holger@layer-acht.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Kushal Koolwal <kushalkoolwal@hotmail.com>. (Fri, 20 Nov 2009 18:57:03 GMT) Full text and rfc822 format available.

Message #140 received at 533450@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@layer-acht.org>
To: Kushal Koolwal <kushalkoolwal@hotmail.com>
Cc: asjo@koldfront.dk, 533450@bugs.debian.org
Subject: Re: Bug#533450: maintaining poulsbo in Debian
Date: Fri, 20 Nov 2009 19:54:33 +0100
[Message part 1 (text/plain, inline)]
Hi,

On Donnerstag, 19. November 2009, Kushal Koolwal wrote:
> > Same. But as said in my previous mail, I've ommitted some patching you
> > did.. will try that later, but not sure if I find the time today...
> If you are just installing from the pre-compiled packages you don't need
> modifications. Those packages should have everything that you need to get
> GMA working (I think).

they dont work for me :(

strangely I have the same problem with 
http://download1.rpmfusion.org/nonfree/fedora/updates/11/SRPMS/psb-kmod-4.41.1-10.fc11.3.src.rpm 
(build with dkms on debian) installed on 2.6.31-1 from debian sid...

Will continue to investigate...


regards,
	Holger

btw:
> I do blog at http://blogs.koolwal.net/

feel free to add your feed to 
http://wiki.debian-community.org/planets/en/feeds/ :-)
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Kushal Koolwal <kushalkoolwal@hotmail.com>:
Bug#533450; Package wnpp. (Sun, 13 Dec 2009 15:06:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mattia Dongili <malattia@linux.it>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Kushal Koolwal <kushalkoolwal@hotmail.com>. (Sun, 13 Dec 2009 15:06:02 GMT) Full text and rfc822 format available.

Message #145 received at 533450@bugs.debian.org (full text, mbox):

From: Mattia Dongili <malattia@linux.it>
To: Holger Levsen <holger@layer-acht.org>, 533450@bugs.debian.org
Cc: Kushal Koolwal <kushalkoolwal@hotmail.com>, asjo@koldfront.dk
Subject: Re: Bug#533450: maintaining poulsbo in Debian
Date: Sun, 13 Dec 2009 23:55:20 +0900
[Message part 1 (text/plain, inline)]
Hi,

I had some sort of success building and running psb on 2.6.31 and
2.6.32.

There are a few caveats:

1. I have to run the kernel with mem=1500MB (I read that 500MB and
   1000MB are working too) otherwise X won't load. I also load psb with
   ignore_acpi=1

2. I had to override libdrm2's shared objects with psb's provided one:
   -rw-r--r-- 1 root root 37806 Dec  6 21:45 /usr/lib/libdrm_poulsbo.a
   lrwxrwxrwx 1 root root    23 Dec  6 21:47 /usr/lib/libdrm_poulsbo.so -> libdrm_poulsbo.so.2.3.0
   lrwxrwxrwx 1 root root    23 Dec  6 21:47 /usr/lib/libdrm_poulsbo.so.2 -> libdrm_poulsbo.so.2.3.0
   -rw-r--r-- 1 root root 35852 Dec  6 21:45 /usr/lib/libdrm_poulsbo.so.2.3.0
   lrwxrwxrwx 1 root root    23 Dec  7 21:40 /usr/lib/libdrm.so.2 -> libdrm_poulsbo.so.2.3.0

3. I had to add loading of the kernel module to rc.local (rather than
   /etc/modules) and move the startup links of gdm after that (S24
   suffices).

Overall, the status is quite sad: forget about s2ram, the X driver won't
probably work on xorg 1.7 and the machine in general is not very stable.

I have packages[1] built against squeeze and kernel 2.6.31 here[2] you
should be able to rebuild them after installing the dependencies or you
can just install the deb files[3].

Something I'm really annoyed about is that I couldn't find source files
other than the ones from ubuntu or fedora.

Notes:
[1]: the quality of the packages is pretty low, not even close to
anything that can be considered for upload. I took the ubuntu packages
and re-worked them a bit (to use quilt, additional patches, moved libdrm
to libdrm_poulsbo, etc.). Anyway, good enough for now and it's probably
not the case to have any of these packages in Debian.
[2]: http://kamineko.org/debian
[3]: note that you will have either to tweak the libdrm_poulsbo package
to divert the libdrm.so.2 link or create the link yourself. I may add it
at some point._poulsbo, etc.). Anyway, good enough for now and it's
probably not the case to have any of these packages in Debian.
-- 
mattia
:wq!
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Kushal Koolwal <kushalkoolwal@hotmail.com>:
Bug#533450; Package wnpp. (Sun, 10 Jan 2010 15:27:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Holger Levsen <holger@layer-acht.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Kushal Koolwal <kushalkoolwal@hotmail.com>. (Sun, 10 Jan 2010 15:27:06 GMT) Full text and rfc822 format available.

Message #150 received at 533450@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@layer-acht.org>
To: 533450@bugs.debian.org
Subject: stepping back
Date: Sun, 10 Jan 2010 16:23:31 +0100
[Message part 1 (text/plain, inline)]
Hi,

unfortunatly the psb xorg driver doesnt work with my poulsbo chipset, I always 
get the errors as described in 
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=533450#115 - I've tried the 
mandrake 2010 live-cd yesterday and exactly the same problem. 

The only way I could get the graphic card to work with performance is with the 
even less free iegd driver from intel, so this is what I will be using in the 
near future, while I'm waiting for a newer (and working for me) version of 
the psb driver. 

And until this is there, I dont have interest in packaging psb, sorry. 

If someone comes up with suitable packages for Debian sid, I'd be willing to 
sponsor them, though.


cheers,
	Holger
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Kushal Koolwal <kushalkoolwal@hotmail.com>:
Bug#533450; Package wnpp. (Mon, 11 Jan 2010 07:57:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mattia Dongili <malattia@linux.it>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Kushal Koolwal <kushalkoolwal@hotmail.com>. (Mon, 11 Jan 2010 07:57:05 GMT) Full text and rfc822 format available.

Message #155 received at 533450@bugs.debian.org (full text, mbox):

From: Mattia Dongili <malattia@linux.it>
To: Holger Levsen <holger@layer-acht.org>
Cc: 533450@bugs.debian.org
Subject: Re: stepping back
Date: Mon, 11 Jan 2010 16:53:59 +0900
[Message part 1 (text/plain, inline)]
On Sun, Jan 10, 2010 at 04:23:31PM +0100, Holger Levsen wrote:
> Hi,
> 
> unfortunatly the psb xorg driver doesnt work with my poulsbo chipset, I always 
> get the errors as described in 
> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=533450#115 - I've tried the 
> mandrake 2010 live-cd yesterday and exactly the same problem. 

You appear to have the same chipset as I do:
mattia@ludwig:~/devel> lspci -n -s 00:02.0
00:02.0 0300: 8086:8108 (rev 06)

did you actually try all the tricks I described previously?
Specifically I noticed that the mem= command line parameter and loading
psb.ko late enough in the boot sequence help a lot.

Oh wait, you have rev 07... not sure what the difference is.

> The only way I could get the graphic card to work with performance is with the 
> even less free iegd driver from intel, so this is what I will be using in the 

This is quite interesting actually. If nothing else because *maybe* this
other driver works better than psb on my laptop.
Also, I read on the IEGD website that there should be a kernel patch
somewhere. I'm now digging around the intel website to see if I can find
anything useful -- the only "driver" I was able to download so far
contains some sort of exe (archive?).

> near future, while I'm waiting for a newer (and working for me) version of 
> the psb driver. 
> 
> And until this is there, I dont have interest in packaging psb, sorry. 
> 
> If someone comes up with suitable packages for Debian sid, I'd be willing to 
> sponsor them, though.

No worries, I could upload them myself if I was any convinced it was a
good idea. The 3D driver has no chance of working with any current
libdrm implementation and even currently video playback is so bad that
it's just useless.

Anyway, I reworked the packages even more and now at least the packaging
situation is less sad:
- libdrm-psb doesn't need to conflict or replace libdrm anymore, the psb
  xorg driver picks it up, much like the intel driver does.
- almost lintian clean, no big errors except for the kernel driver but
  those seem false positives.
- all packges are 3.0 (quilt)... just for fun.
On the negative side the kernel module packaging is still crappy but to
be honest I can't be bothered making it any better for now.

I have all my stuff here with a little explanation in case you want to
give it another go: http://www.kamineko.org/debian-psb/

Thanks
-- 
mattia
:wq!
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Kushal Koolwal <kushalkoolwal@hotmail.com>:
Bug#533450; Package wnpp. (Tue, 12 Jan 2010 02:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "David A. Greene" <greened@obbligato.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Kushal Koolwal <kushalkoolwal@hotmail.com>. (Tue, 12 Jan 2010 02:48:03 GMT) Full text and rfc822 format available.

Message #160 received at 533450@bugs.debian.org (full text, mbox):

From: "David A. Greene" <greened@obbligato.org>
To: 533450@bugs.debian.org
Subject: New Poulsbo Driver Soon?
Date: Mon, 11 Jan 2010 20:15:23 -0600
After talking to the Intel graphics guys, it's pretty clear to me the current
driver is a dead-end.  They essentially said it would be impossible to
integrate into any modern X/DRI system.

However, it looks as if a new one is on the way:

http://www.phoronix.com/scan.php?page=news_item&px=Nzg2MA

If you click through the links you'll find stories about not just the
binary 3D driver but a new open-source 2D one as well.

I think  it would be more productive to work on packaging these
as the current package is preventing me from upgrading X.  That
said, I very much appreciate having a fairly functional netbook
thanks to all of you!




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Kushal Koolwal <kushalkoolwal@hotmail.com>:
Bug#533450; Package wnpp. (Tue, 12 Jan 2010 11:45:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Holger Levsen <holger@layer-acht.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Kushal Koolwal <kushalkoolwal@hotmail.com>. (Tue, 12 Jan 2010 11:45:07 GMT) Full text and rfc822 format available.

Message #165 received at 533450@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@layer-acht.org>
To: Mattia Dongili <malattia@linux.it>
Cc: 533450@bugs.debian.org
Subject: Re: stepping back
Date: Tue, 12 Jan 2010 12:43:44 +0100
[Message part 1 (text/plain, inline)]
Hi Mattia,

On Montag, 11. Januar 2010, Mattia Dongili wrote:
> On Sun, Jan 10, 2010 at 04:23:31PM +0100, Holger Levsen wrote:
> > Hi,
> >
> > unfortunatly the psb xorg driver doesnt work with my poulsbo chipset, I
> > always get the errors as described in
> > http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=533450#115 - I've tried
> > the mandrake 2010 live-cd yesterday and exactly the same problem.
>
> You appear to have the same chipset as I do:
> mattia@ludwig:~/devel> lspci -n -s 00:02.0
> 00:02.0 0300: 8086:8108 (rev 06)

I think either there are sub revisions not "labeled" as such, or that other 
parts also play a role.

> did you actually try all the tricks I described previously?
> Specifically I noticed that the mem= command line parameter and loading
> psb.ko late enough in the boot sequence help a lot.

I guess so. I've tried several mem= params and I've also tried the mandrake 
2010 cd as well as jolicloud, which both work for other poulsbo users.

> Oh wait, you have rev 07... not sure what the difference is.

I've seen other people with rev 07 and working.

> > The only way I could get the graphic card to work with performance is
> > with the even less free iegd driver from intel, so this is what I will be
> > using in the
> This is quite interesting actually. If nothing else because *maybe* this
> other driver works better than psb on my laptop.

I'm quite sure it does now or the new version (there were some demos last 
year) will. 

> Also, I read on the IEGD website that there should be a kernel patch
> somewhere. I'm now digging around the intel website to see if I can find
> anything useful -- the only "driver" I was able to download so far
> contains some sort of exe (archive?).

Yes. Run it in wine, to extract that archive. Inside there are files for linux 
too. 

> No worries, I could upload them myself if I was any convinced it was a
> good idea. 

Well, that would go to non-free anyway and I think gma500 support would be 
great to have for squeeze!

> The 3D driver has no chance of working with any current 
> libdrm implementation and even currently video playback is so bad that
> it's just useless.

according to 
http://building.jolicloud.com/2009/11/17/the-quest-for-implementing-support-for-the-gma500-chipset/ 
the libdrm problems have been fixed (there too), havent looked at those 
sources yet, though.

> Anyway, I reworked the packages even more and now at least the packaging
> situation is less sad:
> - libdrm-psb doesn't need to conflict or replace libdrm anymore, the psb
>   xorg driver picks it up, much like the intel driver does.

nice.

> - almost lintian clean, no big errors except for the kernel driver but
>   those seem false positives.
> - all packges are 3.0 (quilt)... just for fun.
> On the negative side the kernel module packaging is still crappy but to
> be honest I can't be bothered making it any better for now.
>
> I have all my stuff here with a little explanation in case you want to
> give it another go: http://www.kamineko.org/debian-psb/

I'm not sure, maybe. Are those for squeeze or lenny?


cheers,
	Holger
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Kushal Koolwal <kushalkoolwal@hotmail.com>:
Bug#533450; Package wnpp. (Tue, 12 Jan 2010 16:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mattia Dongili <malattia@linux.it>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Kushal Koolwal <kushalkoolwal@hotmail.com>. (Tue, 12 Jan 2010 16:18:03 GMT) Full text and rfc822 format available.

Message #170 received at 533450@bugs.debian.org (full text, mbox):

From: Mattia Dongili <malattia@linux.it>
To: Holger Levsen <holger@layer-acht.org>
Cc: 533450@bugs.debian.org
Subject: Re: stepping back
Date: Wed, 13 Jan 2010 01:16:11 +0900
[Message part 1 (text/plain, inline)]
On Tue, Jan 12, 2010 at 12:43:44PM +0100, Holger Levsen wrote:
> Hi Mattia,
> 
> On Montag, 11. Januar 2010, Mattia Dongili wrote:
> > On Sun, Jan 10, 2010 at 04:23:31PM +0100, Holger Levsen wrote:
...
> > > The only way I could get the graphic card to work with performance is
> > > with the even less free iegd driver from intel, so this is what I will be
> > > using in the
> > This is quite interesting actually. If nothing else because *maybe* this
> > other driver works better than psb on my laptop.
> 
> I'm quite sure it does now or the new version (there were some demos last 
> year) will. 
> 
> > Also, I read on the IEGD website that there should be a kernel patch
> > somewhere. I'm now digging around the intel website to see if I can find
> > anything useful -- the only "driver" I was able to download so far
> > contains some sort of exe (archive?).
> 
> Yes. Run it in wine, to extract that archive. Inside there are files for linux 
> too. 

Thanks, I did that in the end and managed to get the Linux blobs out of
it.
I gave it a go and unfortunately the iegd kernel driver is not
compatible with 2.6.32 which I'm currently using, I'll try to see if I
can make it work and remove all the dependencies with drm functions that
have been removed from the upstream kernel.

> > No worries, I could upload them myself if I was any convinced it was a
> > good idea. 
> 
> Well, that would go to non-free anyway and I think gma500 support would be 
> great to have for squeeze!

Not all packages are non-free, the xorg driver, libdrm-psb and libva are
gplv2 or MIT so these are good to go to main. The kernel driver too.
The remaining ones are the firmware package and the 3D stack which come
in binary only form.
My skepticism comes from the fact that I'm not sure having not-so-good
packages for squeeze is better than having them outside the release.
You can run Vesa to get X up and working and then you can install
whatever better suits your needs. I understand that it's extra work but
I can't figure out how reliably one could run the psb stack in debian...

> > The 3D driver has no chance of working with any current 
> > libdrm implementation and even currently video playback is so bad that
> > it's just useless.
> 
> according to 
> http://building.jolicloud.com/2009/11/17/the-quest-for-implementing-support-for-the-gma500-chipset/ 
> the libdrm problems have been fixed (there too), havent looked at those 
> sources yet, though.

Cool, I quickly skim over the article and some of my points above are
actually addressed. I'll have a better look at it tomorrow.

> > Anyway, I reworked the packages even more and now at least the packaging
> > situation is less sad:
> > - libdrm-psb doesn't need to conflict or replace libdrm anymore, the psb
> >   xorg driver picks it up, much like the intel driver does.
> 
> nice.
> 
> > - almost lintian clean, no big errors except for the kernel driver but
> >   those seem false positives.
> > - all packges are 3.0 (quilt)... just for fun.
> > On the negative side the kernel module packaging is still crappy but to
> > be honest I can't be bothered making it any better for now.
> >
> > I have all my stuff here with a little explanation in case you want to
> > give it another go: http://www.kamineko.org/debian-psb/
> 
> I'm not sure, maybe. Are those for squeeze or lenny?

err... they are more likely to work in squeeze. I'd recommend building
your own, you shouldn't have that many problems provided that you have
the build-dep installed and follow the right order.
I haven't payed too much attention to the binary packages, I was more
interested in getting proper source packages first.

Let's see, thanks for the pointers.
-- 
mattia
:wq!
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Kushal Koolwal <kushalkoolwal@hotmail.com>:
Bug#533450; Package wnpp. (Tue, 12 Jan 2010 16:24:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mattia Dongili <malattia@linux.it>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Kushal Koolwal <kushalkoolwal@hotmail.com>. (Tue, 12 Jan 2010 16:24:02 GMT) Full text and rfc822 format available.

Message #175 received at 533450@bugs.debian.org (full text, mbox):

From: Mattia Dongili <malattia@linux.it>
To: "David A. Greene" <greened@obbligato.org>, 533450@bugs.debian.org
Subject: Re: Bug#533450: New Poulsbo Driver Soon?
Date: Wed, 13 Jan 2010 01:21:01 +0900
On Mon, Jan 11, 2010 at 08:15:23PM -0600, David A. Greene wrote:
> After talking to the Intel graphics guys, it's pretty clear to me the current
> driver is a dead-end.  They essentially said it would be impossible to
> integrate into any modern X/DRI system.

yeah... noticed that.

> However, it looks as if a new one is on the way:
> 
> http://www.phoronix.com/scan.php?page=news_item&px=Nzg2MA
> 
> If you click through the links you'll find stories about not just the
> binary 3D driver but a new open-source 2D one as well.

if you're talking about the IEGD driver, that's far less open source
than the psb one. If nothing else it seems that development from Intel
is much more active.
It also seems quite tricky to set up but I'm trying it out, I might
be able to get something working next week.

> I think  it would be more productive to work on packaging these
> as the current package is preventing me from upgrading X.  That

you'll have other hard dependencies with IEGD too.

> said, I very much appreciate having a fairly functional netbook
> thanks to all of you!

Cheers to you
-- 
mattia
:wq!




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Kushal Koolwal <kushalkoolwal@hotmail.com>:
Bug#533450; Package wnpp. (Sun, 17 Jan 2010 14:51:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mattia Dongili <malattia@linux.it>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Kushal Koolwal <kushalkoolwal@hotmail.com>. (Sun, 17 Jan 2010 14:51:09 GMT) Full text and rfc822 format available.

Message #180 received at 533450@bugs.debian.org (full text, mbox):

From: Mattia Dongili <malattia@linux.it>
To: Holger Levsen <holger@layer-acht.org>
Cc: 533450@bugs.debian.org, Debian X Mailing List <debian-x@lists.debian.org>
Subject: Re: Bug#533450: psb and iegd
Date: Sun, 17 Jan 2010 23:47:49 +0900
[Message part 1 (text/plain, inline)]
Got a few updates.

On Wed, Jan 13, 2010 at 01:16:11AM +0900, Mattia Dongili wrote:
> On Tue, Jan 12, 2010 at 12:43:44PM +0100, Holger Levsen wrote:
> > Hi Mattia,
> > 
> > On Montag, 11. Januar 2010, Mattia Dongili wrote:
> > > On Sun, Jan 10, 2010 at 04:23:31PM +0100, Holger Levsen wrote:
> ...
> > > > The only way I could get the graphic card to work with performance is
> > > > with the even less free iegd driver from intel, so this is what I will be
> > > > using in the
> > > This is quite interesting actually. If nothing else because *maybe* this
> > > other driver works better than psb on my laptop.

I could get iegd_mod to build on 2.6.32 and X even starts up and works.
A couple of issues:
- the brightness is halved on starting X and I can't find any way to
  increase/decrease it.
- I can't seem to get any configuration option to work, how lovely is
  the Inf format...
- the X driver (iegd_drv) doesn't work with xserver 1.7 and there's no
  chance to patch it, we have to wait for Intel to release a new
  version.

...
> > according to 
> > http://building.jolicloud.com/2009/11/17/the-quest-for-implementing-support-for-the-gma500-chipset/ 
> > the libdrm problems have been fixed (there too), havent looked at those 
> > sources yet, though.
> 
> Cool, I quickly skim over the article and some of my points above are
> actually addressed. I'll have a better look at it tomorrow.

Not sure I got their point but it seems that the only additional work
they did was to rename all the psb drm kernel symbols to allow keeping
the upstream kernel drm module _and_ the one shipped with the psb
package. I can't see this as a particularly useful feature.

I tried porting psb_drv to xserver 1.7 and I got some success but the 3D
libraries (the binary ones) require a pile of old symbols not provided
anymore by the server. For some reason the psb driver is not very happy
without the 3D libraries, I haven't figured out why but I didn't spend
much time there.

All in all a big failure. I only hope that the iegd driver (that is the
only one showing some activity) will be updated and released with the
full sources soon.

sigh...
-- 
mattia
:wq!
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#533450; Package wnpp. (Tue, 19 Jan 2010 00:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kushal Koolwal <kushalkoolwal@hotmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Tue, 19 Jan 2010 00:54:03 GMT) Full text and rfc822 format available.

Message #185 received at 533450@bugs.debian.org (full text, mbox):

From: Kushal Koolwal <kushalkoolwal@hotmail.com>
To: <malattia@linux.it>, <holger@layer-acht.org>
Cc: <533450@bugs.debian.org>, <debian-x@lists.debian.org>
Subject: RE: Bug#533450: psb and iegd
Date: Mon, 18 Jan 2010 16:52:55 -0800
My experience with iegd driver was exactly opposite with Debian Lenny. It won't compile in the first place. May be I was using an older version of iegd driver? However the psb sources from Ubuntu Jaunty always worked for me on Lenny, Squeeze and Unstable with 3D working on Squeeze and Unstable.

A very disappointing scenario for Linux users.

Kushal Koolwal

I do blog at http://blogs.koolwal.net/


 		 	   		  
_________________________________________________________________
Hotmail: Powerful Free email with security by Microsoft.
http://clk.atdmt.com/GBL/go/196390710/direct/01/



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Kushal Koolwal <kushalkoolwal@hotmail.com>:
Bug#533450; Package wnpp. (Tue, 19 Jan 2010 12:37:23 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mattia Dongili <malattia@linux.it>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Kushal Koolwal <kushalkoolwal@hotmail.com>. (Tue, 19 Jan 2010 12:37:23 GMT) Full text and rfc822 format available.

Message #190 received at 533450@bugs.debian.org (full text, mbox):

From: Mattia Dongili <malattia@linux.it>
To: Kushal Koolwal <kushalkoolwal@hotmail.com>
Cc: holger@layer-acht.org, 533450@bugs.debian.org, debian-x@lists.debian.org
Subject: Re: Bug#533450: psb and iegd
Date: Tue, 19 Jan 2010 21:15:43 +0900
On Mon, Jan 18, 2010 at 04:52:55PM -0800, Kushal Koolwal wrote:
> 
> My experience with iegd driver was exactly opposite with Debian Lenny.

I was going through the license to see if those binary files are
redistributable, it looks like they aren't.
"
LICENSE.   You may copy the Software onto a single computer for your 
personal, noncommercial use, and you may make one back-up copy of the 
Software, subject to these conditions:

1. This Software is licensed for use only in conjunction with Intel 
component products.  Use of the Software in conjunction with non-Intel 
component products is not licensed hereunder.

2. You may not copy, modify, rent, sell, distribute or transfer any part 
of the Software except as provided in this Agreement, and you agree to 
prevent unauthorized copying of the Software.
[...]
"

I could come up with a package for the kernel module next weekend
instead.

> It won't compile in the first place. May be I was using an older
> version of iegd driver? However the psb sources from Ubuntu Jaunty

psb is more or less fine here too.

> always worked for me on Lenny, Squeeze and Unstable with 3D working on
> Squeeze and Unstable.

also with the new xorg 1.7?
What does X -version say?

Thanks
-- 
mattia
:wq!




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Kushal Koolwal <kushalkoolwal@hotmail.com>:
Bug#533450; Package wnpp. (Wed, 20 Jan 2010 12:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Holger Levsen <holger@layer-acht.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Kushal Koolwal <kushalkoolwal@hotmail.com>. (Wed, 20 Jan 2010 12:21:03 GMT) Full text and rfc822 format available.

Message #195 received at 533450@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@layer-acht.org>
To: 533450@bugs.debian.org
Subject: Re: stepping back
Date: Wed, 20 Jan 2010 13:19:37 +0100
[Message part 1 (text/plain, inline)]
Hi Mattia,

On Dienstag, 12. Januar 2010, Mattia Dongili wrote:
> Not all packages are non-free, the xorg driver, libdrm-psb and libva are
> gplv2 or MIT so these are good to go to main. The kernel driver too.
> The remaining ones are the firmware package and the 3D stack which come
> in binary only form.

Wouldnt that make the free stuff need to go into contrib, as they are hardly 
of any use without the nonfree stuff?

> My skepticism comes from the fact that I'm not sure having not-so-good
> packages for squeeze is better than having them outside the release.
> You can run Vesa to get X up and working and then you can install
> whatever better suits your needs. I understand that it's extra work but
> I can't figure out how reliably one could run the psb stack in debian...

As long as it cannot be done reliable I agree it shouldnt be in Debian. But if 
its possible to have it outside the release, I think it should be possible to 
do inside too :-) (If you count "nonfree" as inside.)

On Sonntag, 17. Januar 2010, Mattia Dongili wrote:
> I could get iegd_mod to build on 2.6.32 and X even starts up and works.

Cool!!

> A couple of issues:
> - the brightness is halved on starting X and I can't find any way to
>   increase/decrease it.
> - I can't seem to get any configuration option to work, how lovely is
>   the Inf format...

I'll attach an xorg.conf that works for me. It's derived from the one from the 
moblin IVI live image

> - the X driver (iegd_drv) doesn't work with xserver 1.7 and there's no
>   chance to patch it, we have to wait for Intel to release a new
>   version.

Yeah, my current plan is to use 2.6.32 on lenny with xorg from lenny until 
Intel releases a driver for xserver 1.7

> > > according to
> > > http://building.jolicloud.com/2009/11/17/the-quest-for-implementing-sup
> > >port-for-the-gma500-chipset/ the libdrm problems have been fixed (there
> > > too), havent looked at those sources yet, though.
> >
> > Cool, I quickly skim over the article and some of my points above are
> > actually addressed. I'll have a better look at it tomorrow.
>
> Not sure I got their point but it seems that the only additional work
> they did was to rename all the psb drm kernel symbols to allow keeping
> the upstream kernel drm module _and_ the one shipped with the psb
> package. I can't see this as a particularly useful feature.

It's nice if you want to install one set of packages on a wide range of 
hardware, like you do for LTSP clients.

> All in all a big failure. I only hope that the iegd driver (that is the
> only one showing some activity) will be updated and released with the
> full sources soon.

As much as I wish that too, I dont have that much hope. Intel doesnt own the 
rights to be able to do that (of course, they could and IMO should buy those 
rights) and I dont think they have much interest in that, as their main 
target for this kind of hardware seem to be hardware vendors, not end users. 
They didnt forsee and dont seem to care that some of those hardware vendors 
to sell the hardware in appliances but in devices end users like to fiddle 
with. (think car entertainment systems vs. netbooks.)

My only hope is that someone at Intel realises that the costs for freeing 
these drivers might actually be lower than the costs of loosing the 
reputation that Intel is producing hardware with good free software support. 
This reputation has suffered and will suffer more if this continues.


cheers,
	Holger
[xorg.conf (text/plain, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Kushal Koolwal <kushalkoolwal@hotmail.com>:
Bug#533450; Package wnpp. (Tue, 18 Jan 2011 23:03:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to "P. J. McDermott" <pjm@nac.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Kushal Koolwal <kushalkoolwal@hotmail.com>. (Tue, 18 Jan 2011 23:03:08 GMT) Full text and rfc822 format available.

Message #200 received at 533450@bugs.debian.org (full text, mbox):

From: "P. J. McDermott" <pjm@nac.net>
To: 533450@bugs.debian.org, debian-x@lists.debian.org
Subject: GMA 500 Drivers in Debian and Deprecated Symbols in Xorg
Date: Tue, 18 Jan 2011 17:25:17 -0500
[Message part 1 (text/plain, inline)]
This is a follow-up to the thread on bug #533450: ITP:
xserver-xorg-video-psb. I'm also sending to the debian-x list, as I also
have some questions about deprecated symbols in recent versions of Xorg.

Thanks to everyone involved for your work so far; it's definitely been a
good starting point for me. From Mattia Dongili's packages I've built
and installed the kernel module, libdrm, and libva. After loading the
psb module, the console resolution increases and I found the backlight
API in sysfs. And for anyone interested, I threw together this one-liner
in PHP to (anything but seamlessly) cycle the brightness on a sine
curve, haha:
    $ php -r '$fp = fopen("/sys/class/backlight/psblvds/brightness",
  \ "w"); while (true) { $v = round(sin(time()) * 40 + 70); fwrite($fp,
  \ $v); usleep(500); } fclose($fp);'
(The line is rather long, so the backslashes indicate line breaks due to
wrapping.)

However, the Xorg display driver (xserver-xorg-video-psb) is what I'm
working on now. In its unmodified form, it won't run in (or even build
against) Xorg 1.7 because of the removal of numerous deprecated features
and symbols (like the resources/RAC API and the XFree86 loader). I've
patched the driver enough to build on a Debian testing (Squeeze) system,
and I know basically what needs to be done to get the driver loaded into
Xorg.

This leads me to my questions for the Debian X team. Attached is the
file src/psb_driver.c from xserver-xorg-video-psb version 0.36.0 (from
an orig.tar.gz from the gma500 PPA on Launchpad, as I have yet to find
upstream development for this stuff). After I patch it to build against
Xorg 1.7, psb_drv.so loads, but Xorg exits with the error:
    Xorg: symbol lookup error: /usr/lib/xorg/modules/drivers/psb_drv.so:
  \ undefined symbol: LoaderRefSymLists
With research I found that this is due to the removal of the XFree86
loader and all of its long deprecated symbols. I'm currently working on
a patch to remove all references to this and a similar deprecated
symbol, along with hopefully some now useless symbol lists (see line 159
and below). Note however the use of the "XFree86LOADER" macro in the
middle of those symbol lists; what is the purpose of this? Is it to
identify newer versions of Xorg? Is it deprecated and to be removed?
This is an issue because it is used to conditionally compile some code
(including the psbSetup function, which I know is used by Xorg)
following the symbols I'd like to conditionally compile (or simply
patch) out of the driver. What would be the best way to proceed here?
Should I leave in or remove the XFree86LOADER macro check? Should I
simply patch out the old symbol lists completely (possibly breaking the
driver for older Xorg versions) or conditionally compile out the symbol
lists? If the latter, is the ABI version number in the following check
correct?
    #if GET_ABI_MAJOR(ABI_VIDEODRV_VERSION) < 5

If anyone would like any more information -- Xorg logs, configuration,
the patches I wrote, etc. -- let me know. When and if I get this driver
working, I'll clean it up a bit and eventually post source and binary
packages somewhere.

As David Greene mentioned, perhaps libdrm-poulsbo could be merged with
Debian's native libdrm package in the long run. And the rest of the
packages could probably be uploaded to the Debian archives after some
lintian-silencing cleanups and build-dependency fixes.

Thanks,
P. J. McDermott
[psb_driver.c (text/x-csrc, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Kushal Koolwal <kushalkoolwal@hotmail.com>:
Bug#533450; Package wnpp. (Wed, 19 Jan 2011 09:12:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michel Dänzer <daenzer@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Kushal Koolwal <kushalkoolwal@hotmail.com>. (Wed, 19 Jan 2011 09:12:10 GMT) Full text and rfc822 format available.

Message #205 received at 533450@bugs.debian.org (full text, mbox):

From: Michel Dänzer <daenzer@debian.org>
To: "P. J. McDermott" <pjm@nac.net>
Cc: 533450@bugs.debian.org, debian-x@lists.debian.org
Subject: Re: GMA 500 Drivers in Debian and Deprecated Symbols in Xorg
Date: Wed, 19 Jan 2011 10:08:57 +0100
On Die, 2011-01-18 at 17:25 -0500, P. J. McDermott wrote: 
> 
>     Xorg: symbol lookup error: /usr/lib/xorg/modules/drivers/psb_drv.so:
>   \ undefined symbol: LoaderRefSymLists
> With research I found that this is due to the removal of the XFree86
> loader and all of its long deprecated symbols. I'm currently working on
> a patch to remove all references to this and a similar deprecated
> symbol, along with hopefully some now useless symbol lists (see line 159
> and below). Note however the use of the "XFree86LOADER" macro in the
> middle of those symbol lists; what is the purpose of this? Is it to
> identify newer versions of Xorg? Is it deprecated and to be removed?
> This is an issue because it is used to conditionally compile some code
> (including the psbSetup function, which I know is used by Xorg)
> following the symbols I'd like to conditionally compile (or simply
> patch) out of the driver. What would be the best way to proceed here?
> Should I leave in or remove the XFree86LOADER macro check? Should I
> simply patch out the old symbol lists completely (possibly breaking the
> driver for older Xorg versions) or conditionally compile out the symbol
> lists?

You can probably just remove this stuff (I doubt the psb driver will
work or even build against an xserver which requires it), that's what we
did in the radeon driver, which tends to be backwards compatible more
than most other free drivers.


-- 
Earthling Michel Dänzer           |                http://www.vmware.com
Libre software enthusiast         |          Debian, X and DRI developer




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Kushal Koolwal <kushalkoolwal@hotmail.com>:
Bug#533450; Package wnpp. (Wed, 19 Jan 2011 11:09:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mattia Dongili <malattia@linux.it>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Kushal Koolwal <kushalkoolwal@hotmail.com>. (Wed, 19 Jan 2011 11:09:06 GMT) Full text and rfc822 format available.

Message #210 received at 533450@bugs.debian.org (full text, mbox):

From: Mattia Dongili <malattia@linux.it>
To: "P. J. McDermott" <pjm@nac.net>, 533450@bugs.debian.org
Cc: debian-x@lists.debian.org
Subject: Re: Bug#533450: GMA 500 Drivers in Debian and Deprecated Symbols in Xorg
Date: Wed, 19 Jan 2011 20:07:00 +0900
On Tue, Jan 18, 2011 at 05:25:17PM -0500, P. J. McDermott wrote:
...
> an orig.tar.gz from the gma500 PPA on Launchpad, as I have yet to find
> upstream development for this stuff). After I patch it to build against

I doubt there is any upstream development at all. Those git repositories
I have linked on my website were cloned from a Mobilin repository where
the psb driver was relegated to an "obsolete" subdirectory.
Now with Meego all development seems to be focused towards the EMGD
driver instead. The kernel part has sources available, the userspace
part is mostly binary blobs afaics.

To be honest I gave up trying to make psb work as anyway it needs the 3D
blob to work on the laptop I have and there is no way whatsoever that
that will load on any recent Xorg version.

-- 
mattia
:wq!




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Kushal Koolwal <kushalkoolwal@hotmail.com>:
Bug#533450; Package wnpp. (Thu, 20 Jan 2011 06:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "P. J. McDermott" <pjm@nac.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Kushal Koolwal <kushalkoolwal@hotmail.com>. (Thu, 20 Jan 2011 06:15:03 GMT) Full text and rfc822 format available.

Message #215 received at 533450@bugs.debian.org (full text, mbox):

From: "P. J. McDermott" <pjm@nac.net>
To: 533450@bugs.debian.org, debian-x@lists.debian.org
Subject: Re: GMA 500 Drivers in Debian and Deprecated Symbols in Xorg
Date: Thu, 20 Jan 2011 01:13:00 -0500
On 01/19/2011 04:08 AM, Michel Dänzer wrote:
> On Die, 2011-01-18 at 17:25 -0500, P. J. McDermott wrote: 
>>
>>     Xorg: symbol lookup error: /usr/lib/xorg/modules/drivers/psb_drv.so:
>>   \ undefined symbol: LoaderRefSymLists
>> With research I found that this is due to the removal of the XFree86
>> loader and all of its long deprecated symbols. I'm currently working on
>> a patch to remove all references to this and a similar deprecated
>> symbol, along with hopefully some now useless symbol lists (see line 159
>> and below). Note however the use of the "XFree86LOADER" macro in the
>> middle of those symbol lists; what is the purpose of this? Is it to
>> identify newer versions of Xorg? Is it deprecated and to be removed?
>> This is an issue because it is used to conditionally compile some code
>> (including the psbSetup function, which I know is used by Xorg)
>> following the symbols I'd like to conditionally compile (or simply
>> patch) out of the driver. What would be the best way to proceed here?
>> Should I leave in or remove the XFree86LOADER macro check? Should I
>> simply patch out the old symbol lists completely (possibly breaking the
>> driver for older Xorg versions) or conditionally compile out the symbol
>> lists?
> 
> You can probably just remove this stuff (I doubt the psb driver will
> work or even build against an xserver which requires it), that's what we
> did in the radeon driver, which tends to be backwards compatible more
> than most other free drivers.

Okay thanks, I'll do that then. I assume you meant remove the
XFree86LOADER macro (which I've read may be on its way out of Xorg)
check as well.

On 01/19/2011 06:07 AM, Mattia Dongili wrote:
> On Tue, Jan 18, 2011 at 05:25:17PM -0500, P. J. McDermott wrote:
> ...
>> an orig.tar.gz from the gma500 PPA on Launchpad, as I have yet to find
>> upstream development for this stuff). After I patch it to build against
> 
> I doubt there is any upstream development at all. Those git repositories
> I have linked on my website were cloned from a Mobilin repository where
> the psb driver was relegated to an "obsolete" subdirectory.
> Now with Meego all development seems to be focused towards the EMGD
> driver instead. The kernel part has sources available, the userspace
> part is mostly binary blobs afaics.
> 
> To be honest I gave up trying to make psb work as anyway it needs the 3D
> blob to work on the laptop I have and there is no way whatsoever that
> that will load on any recent Xorg version.

Yeah, I saw that on the Moblin repository. Eventually I'll contact the
gma500 team on Launchpad about it, as they seem to be getting (albeit
rather stale) updates from somewhere... I'm more focused on just getting
this to work for now though.

I know Intel is pushing IEGD or EMGD or whatever new set of
mixed-license drivers they're adding to the fray, but no one seems to
have much faith in those efforts (and it sounds like they're even less
free). And apparently maintainers have gotten the existing drivers
working with Xorg 1.{7,8,9} in at least Ubuntu, Fedora, Mandriva, and
Arch Linux. As you said, there may be problems getting the binary Xpsb
GLX sub-module to load in Xorg >= 1.7, but it appears that people have
made it work (or are at least packaging it for their distributions
regardless). Though personally I'd be happy just with framebuffer-less
rendering and backlight control, just to save my battery.

Also, xserver-xorg-video-psb *shouldn't* need the firmware or Xpsb
binaries. I noticed that it does probe for the Xpsb sub-module, but when
it doesn't find it it'll continue on without it and let you know that 3D
and video acceleration won't work. The metapackages on the gma500 PPA
seem to verify this, letting users install only the free drivers to at
least get 2D acceleration. A commenter on the blog of Adam Williamson
(who's gotten these drivers working in Fedora) also reported success
with only the free drivers. I haven't gotten to the point to be able to
try this myself though, and I'm not sure what specific requirements your
system might have to require Xpsb.

I'm slowly getting xserver-xorg-video-psb to load in Xorg 1.7, and I'm
tweaking a configuration file to work around issues like the
LVDS-connected monitor of my Acer Aspire One AO751h not being detected
with ACPI. But Xorg is now aborting on a segmentation fault "at address
(nil)" and I can't seem to get debugging symbols in the backtrace. The
fault is probably caused by a mangled pointer bug that's fixed by some
patch that I haven't applied to my driver. I'll probably install drivers
from the gma500 PPA on a test installation of Squeeze to see that
everything works. If it does, then I can start from scratch and be less
conservative in my patchwork, referring to the work in other
distributions to fix any bugs there may be.

Thanks,
P. J.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Kushal Koolwal <kushalkoolwal@hotmail.com>:
Bug#533450; Package wnpp. (Thu, 20 Jan 2011 10:51:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michel Dänzer <daenzer@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Kushal Koolwal <kushalkoolwal@hotmail.com>. (Thu, 20 Jan 2011 10:51:08 GMT) Full text and rfc822 format available.

Message #220 received at 533450@bugs.debian.org (full text, mbox):

From: Michel Dänzer <daenzer@debian.org>
To: "P. J. McDermott" <pjm@nac.net>
Cc: 533450@bugs.debian.org, debian-x@lists.debian.org
Subject: Re: GMA 500 Drivers in Debian and Deprecated Symbols in Xorg
Date: Thu, 20 Jan 2011 11:49:19 +0100
On Don, 2011-01-20 at 01:13 -0500, P. J. McDermott wrote: 
> 
> But Xorg is now aborting on a segmentation fault "at address (nil)" 
> and I can't seem to get debugging symbols in the backtrace.

The glibc backtracer is almost useless, try starting the X server in gdb
(from a remote shell).


-- 
Earthling Michel Dänzer           |                http://www.vmware.com
Libre software enthusiast         |          Debian, X and DRI developer




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Kushal Koolwal <kushalkoolwal@hotmail.com>:
Bug#533450; Package wnpp. (Wed, 02 Feb 2011 14:48:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to patrick.heinen@rocketmail.com:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Kushal Koolwal <kushalkoolwal@hotmail.com>. (Wed, 02 Feb 2011 14:48:07 GMT) Full text and rfc822 format available.

Message #225 received at 533450@bugs.debian.org (full text, mbox):

From: Patrick Heinen <patrick.heinen@rocketmail.com>
To: 533450@bugs.debian.org
Subject: Maybe this is interesting, or becomes interesting
Date: Wed, 02 Feb 2011 15:27:36 +0100
PowerVR interview about linux driver at end of this year:
http://www.phoronix.com/scan.php?page=news_item&px=ODk4Ng




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Kushal Koolwal <kushalkoolwal@hotmail.com>:
Bug#533450; Package wnpp. (Fri, 11 Feb 2011 07:00:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Grzegorz <rurus9@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Kushal Koolwal <kushalkoolwal@hotmail.com>. (Fri, 11 Feb 2011 07:00:07 GMT) Full text and rfc822 format available.

Message #230 received at 533450@bugs.debian.org (full text, mbox):

From: Grzegorz <rurus9@gmail.com>
To: 533450@bugs.debian.org
Subject: emgd with working 3D and vaapi in ubuntu
Date: Fri, 11 Feb 2011 07:56:31 +0100
its for ubuntu, from their website https://launchpad.net/emgd  faq:
https://answers.launchpad.net/emgd/+faq/1450

"Intel EMGD drivers 1.5.x (Jan 2011)
Compatibility:
* Maverick (driver release 1.5.2 - kernel 2.6.35 and xorg 1.9)
* Natty (driver release 1.5.2 - kernel 2.6.38 and xorg 1.9)
* Lucid (old driver release 1.5 - kernel 2.6.32 and xorg 1.8.x backported from 
xorg-edgers)
(...)
Working features:
* 2D
* 3D
* Xv videoplayback (totem, skype, cheese..)
* Vaapi videoplayback
* Compiz, Unity-2D"
In their repo they have only few packages:
emgd-dkms  (Intel emgd driver in DKMS format.)
emgdui (Intel EMGD drivers GUI )
xorg-emgd (X11 drivers for Poulsbo (psb) 3D acceleration)
plus:
libva and mplayer-vaapi
Maybe somebody could port it for debian?
greets
-- 
rUrek




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Kushal Koolwal <kushalkoolwal@hotmail.com>:
Bug#533450; Package wnpp. (Thu, 17 Feb 2011 17:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to patrick.heinen@rocketmail.com:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Kushal Koolwal <kushalkoolwal@hotmail.com>. (Thu, 17 Feb 2011 17:51:03 GMT) Full text and rfc822 format available.

Message #235 received at 533450@bugs.debian.org (full text, mbox):

From: Patrick Heinen <patrick.heinen@rocketmail.com>
To: 533450@bugs.debian.org
Subject: just have seen this...
Date: Thu, 17 Feb 2011 17:12:44 +0100
http://wiki.debian.org/IntelEmbeddedMediaGraphicsDriver
i'm going to try it now




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Kushal Koolwal <kushalkoolwal@hotmail.com>:
Bug#533450; Package wnpp. (Thu, 17 Feb 2011 22:18:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mattia Dongili <malattia@linux.it>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Kushal Koolwal <kushalkoolwal@hotmail.com>. (Thu, 17 Feb 2011 22:18:02 GMT) Full text and rfc822 format available.

Message #240 received at 533450@bugs.debian.org (full text, mbox):

From: Mattia Dongili <malattia@linux.it>
To: patrick.heinen@rocketmail.com, 533450@bugs.debian.org
Subject: Re: Bug#533450: just have seen this...
Date: Fri, 18 Feb 2011 07:13:51 +0900
On Thu, Feb 17, 2011 at 05:12:44PM +0100, Patrick Heinen wrote:
> http://wiki.debian.org/IntelEmbeddedMediaGraphicsDriver
> i'm going to try it now

those ubuntu packages you pointed at first work for me (using sid Xorg).
Actually I modified them a bit as they have some fundamental issues,
I'll post the changes somewhere eventually.

I can happily suspend and resume and the whole experience of using my
Vaio X is getting slowly (too slowly) better.
I haven't tried building mplayer with vaapi support.
-- 
mattia
:wq!




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Kushal Koolwal <kushalkoolwal@hotmail.com>:
Bug#533450; Package wnpp. (Fri, 18 Feb 2011 14:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to patrick.heinen@rocketmail.com:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Kushal Koolwal <kushalkoolwal@hotmail.com>. (Fri, 18 Feb 2011 14:03:03 GMT) Full text and rfc822 format available.

Message #245 received at 533450@bugs.debian.org (full text, mbox):

From: Patrick Heinen <patrick.heinen@rocketmail.com>
To: 533450@bugs.debian.org
Subject: emgd works for me
Date: Fri, 18 Feb 2011 13:20:11 +0100
i followed the instructions on 
http://wiki.debian.org/IntelEmbeddedMediaGraphicsDriver and now!, success!
just had to do another dirty hack, not explained on the page. i'm going 
to explain it later, but maybe the hack is not necessary for other 
squeeze users!
didn't try 3d yet, but i'm able to watch videos now!, wow...






Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Kushal Koolwal <kushalkoolwal@hotmail.com>:
Bug#533450; Package wnpp. (Tue, 22 Feb 2011 13:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mattia Dongili <malattia@linux.it>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Kushal Koolwal <kushalkoolwal@hotmail.com>. (Tue, 22 Feb 2011 13:00:03 GMT) Full text and rfc822 format available.

Message #250 received at 533450@bugs.debian.org (full text, mbox):

From: Mattia Dongili <malattia@linux.it>
To: 533450@bugs.debian.org
Subject: Re: Bug#533450: GMA500 driver submitted on LKML
Date: Tue, 22 Feb 2011 21:57:07 +0900
And here comes another one:

https://lkml.org/lkml/2011/2/22/183

Let's see how it goes.
-- 
mattia
:wq!




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Kushal Koolwal <kushalkoolwal@hotmail.com>:
Bug#533450; Package wnpp. (Mon, 28 Feb 2011 23:18:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kushal Koolwal <kushalkoolwal@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Kushal Koolwal <kushalkoolwal@hotmail.com>. (Mon, 28 Feb 2011 23:18:02 GMT) Full text and rfc822 format available.

Message #255 received at 533450@bugs.debian.org (full text, mbox):

From: Kushal Koolwal <kushalkoolwal@gmail.com>
To: 533450@bugs.debian.org
Subject: Nice!
Date: Mon, 28 Feb 2011 15:15:05 -0800
I was about to write a long post on how to get the Poulsbo driver
working (with 3D) on Debian Squeeze using the native sources (non
EMGD) but I guess I will hold on to that (for now) since the kernel
component is in the staging trees.

I guess once those are stabilized in the kernel, we should be able to
do a xserver-xorg-video-psb package for Debian which was the original
intend for this bug report over 20  months ago -:)

Thanks for posting the LKML link, Mattia!




Changed Bug submitter to 'kushalkoolwal@gmail.com' from 'Kushal Koolwal <kushalkoolwal@hotmail.com>' Request was from Kushal Koolwal <kushalkoolwal@gmail.com> to control@bugs.debian.org. (Mon, 28 Feb 2011 23:42:12 GMT) Full text and rfc822 format available.

Owner changed from Kushal Koolwal <kushalkoolwal@hotmail.com> to kushalkoolwal@gmail.com. Request was from Kushal Koolwal <kushalkoolwal@gmail.com> to control@bugs.debian.org. (Mon, 28 Feb 2011 23:51:12 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, kushalkoolwal@gmail.com:
Bug#533450; Package wnpp. (Sun, 20 Jan 2013 21:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "David E. Ammouial" <da-deb@weeno.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, kushalkoolwal@gmail.com. (Sun, 20 Jan 2013 21:03:03 GMT) Full text and rfc822 format available.

Message #264 received at 533450@bugs.debian.org (full text, mbox):

From: "David E. Ammouial" <da-deb@weeno.net>
To: Kushal Koolwal <kushalkoolwal@gmail.com>, 533450@bugs.debian.org
Subject: Re: Nice!
Date: Sun, 20 Jan 2013 20:51:11 +0000
[Message part 1 (text/plain, inline)]
On 28/02/11 23:15, Kushal Koolwal wrote:
> I was about to write a long post on how to get the Poulsbo driver
> working (with 3D) on Debian Squeeze using the native sources (non
> EMGD) but I guess I will hold on to that (for now) since the kernel
> component is in the staging trees.
> 
> I guess once those are stabilized in the kernel, we should be able to
> do a xserver-xorg-video-psb package for Debian which was the original
> intend for this bug report over 20  months ago -:)

How is that going? Is the kernel component stabilised now?

This bug is still open, and with modern desktop environments such as
GNOME 3, the lack of 3D with gma500 chipsets is becoming a problem.

Also, meanwhile, any workaround to achieve than (you mentionned it's
possible) is welcome.

Regards.
-- 
David

[signature.asc (application/pgp-signature, attachment)]

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 20:43:19 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.